<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫

?>

<?php
if(!isset($_SESSION['LoginEMail']) || $_SESSION['LoginC2'] <= 1){ // 如果沒有登入或是 C2 <= 1，先導入登入畫面
	$goTo = "../member/mem_login.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';
	exit;
}
?>

<?php
$errorMsg = '';
$savePath = '../indexImages/';
// 上傳圖片
if(isset($_POST['uploadImg'])){

	if(isset($_FILES['imgFile'])){	
		/*
		$_FILES["file"]["name"]：上傳檔案的原始名稱。
		$_FILES["file"]["type"]：上傳的檔案類型。
		$_FILES["file"]["size"]：上傳的檔案原始大小。
		$_FILES["file"]["tmp_name"]：上傳檔案後的暫存資料夾位置。
		$_FILES["file"]["error"]：如果檔案上傳有錯誤，可以顯示錯誤代碼。	
		*/
		
		// 提取副檔名
		$type = strstr($_FILES['imgFile']['name'],'.'); 
		
		if($type == '.jpg' ){
			$fileName =date("YmdHis").$type; //  上傳檔案已日期時間命名
			//echo $fileName;
			move_uploaded_file($_FILES['imgFile']['tmp_name'], $savePath.$fileName);
		}else{
			$errorMsg = $errorMsg.'請上傳副檔名為 .jpg 檔案';
			
		}
	}
}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>首頁輪播圖片</title>
<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<link href="../css/admin_indexImages.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
$(document).ready(function(e) {
	$(".nav li a").each(function(index, element) {
        if($(this).html() == '首頁輪播圖片'){
			$(this).parent('li').addClass('cw_active');
		}
    });
});
</script>

<script type="text/javascript" src="../js/admin_indexImages.js"></script>




<?php
if($errorMsg!=""){
	echo "<script type='text/javascript'>
			$(document).ready(function(e) {
				$('#errorModal #errorMsg').html('');
				$('#errorModal #errorMsg').html('$errorMsg');
				$('#modal_yes').css('display','none');
				$('#errorModal').modal('show');
			});
	  </script>";
}
?>


</head>

<body>
<!--
.col-xs-	:	手機
.col-sm-	:	平板
.col-md-	:	桌機
-->
<?php include_once('../layout/nav.php') ?>

<!-- 顯示錯誤訊息的 Modal -->
<div class="modal fade " id="errorModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
  <div class="modal-dialog modal-sm" >
    <div class="modal-content">
      <div class="modal-header"> 
        <!-- 建立關閉  modal 的按鈕-->
        <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
        <!-- 建立  modal 的 標題-->
        <h3 class="modal-title">訊息!</h3>
      </div>
      
      <!-- 建立  modal 的 內容-->
      <div id="errorMsg" class="modal-body " style="overflow:hidden"> </div>
      <div class="modal-footer">
        <button type="button" class="btn  btn-default" data-dismiss="modal">取消</button>
        <button type="button" class="btn btn-danger" id='modal_yes' >確定</button>
      </div>
    </div>
  </div>
</div>

<div class="col-xs-12 col-sm-offset-2 col-sm-8 col-md-offset-3 col-md-6">
  <!-- 主要內容區 START -->
  <div class="panel panel-default">
    <div class="panel-heading">輪播圖片管理中心</div>
    <div class="panel-body">
      <div class="row container ">
      
      注意:<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.&nbsp;只接受副檔名為&nbsp;.jpg&nbsp;的檔案<br />
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.&nbsp;輪播順序，輸入數字愈小愈先播出<br />
      <br />
      <br />
      </div>
    
      <div class="row">
        <form action=""  method="post" enctype="multipart/form-data" >
          <div class='col-xs-12 col-sm-2 col-md-2'> 上傳圖片 </div>
          <div class='col-xs-12 col-sm-8 col-md-8'>
            <input type="file" tabindex="1" class="form-control" name="imgFile" />
          </div>
          <div class='col-xs-12 col-sm-2 col-md-2'>
            <input type="hidden" name="uploadImg" value="true" />
            <button type="submit" tabindex="2" class="btn btn-default" style="float:right;" >上傳</button>
          </div>
        </form>
      </div>
      <!--.row-->
      <hr />
      <div class="row"> 
      
      <div class='col-xs-4 col-sm-4 col-md-4'>
      <a href="../" target="_blank" tabindex="2" class="btn btn-default" style="float:left;">開啟首頁</a>
      </div>
      <div class='col-xs-4 col-sm-4 col-md-4'>
      	<div style=" text-align:center">
      	<button type="submit" tabindex="2" class="btn btn-default"  id='resetImageOrder'  >重設輪播順序</button>
      	</div>
      </div>
      <div class='col-xs-4 col-sm-4 col-md-4'>
      	<button type="submit" tabindex="2" class="btn btn-default" id='saveImageOrder' style="float:right;"  >儲存輪播順序</button>
      </div>
      
      </div>
      <!--.row--> 
      
    </div>
  </div>
  <hr />
  
	<?php 
    $files = glob('../indexImages/*.jpg');
    $fileAy = array();
    foreach($files as $key=>$filePath){
    	$fileAy[$key] = $filePath;
    }
    arsort($fileAy);// 依 $filePath 排序 由高至低
    foreach($fileAy as $key=>$filePath){
    ?>
    <form method="" >
    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 cw_prod_item" >
      <div class="thumbnail">
      
      <div class='imgBlock' >
      	<p>
        <img src='<?php echo $filePath;?>'  class="img-responsive" /> 
		</p>      
      </div>
      
      <div class="caption" style="overflow:hidden;">
     
      
		輪播順序<input  data-title="<?php echo basename($filePath);?>" class="form-control indexImageOrder" type="text"  onkeyup="value=value.replace(/[^\d]/g,'')" />
        
        <br />
		<input data-title="<?php echo $filePath;?>" class="form-control btn btn-danger delImgFile" type="button"  value="刪除圖片" />
      </div>
      </div>
    </div>
    </form>
    
    <?php 
    }
    ?>
  
  
<div class="padding25"></div>
<div class="padding50"></div>  
  
  <!-- 主要內容區 END --> 
</div>
<?php include_once('../layout/footer.php') ?>
</body>
</html>