// JavaScript Document

// 將資料庫輪播的資料 對應 到網頁
$(document).ready(function(){
	
	$.ajax({									//進行ajax技術
	url:"../admin/admin_indexImages_controller.php"
	,type:"POST"
	,data:{									//傳入資料
		mode:'get'
	}
	}).done(function(jsonResult){		//處理完成後
		
		var datas = JSON.parse ( jsonResult );
		
		//alert(datas.orderImages.length);
		
		$.each(datas.orderImages,function(index,obj){
			var fileName = obj.fileName; // 解析出 資料庫存在的 fileName
			var fileOrder = obj.fileOrder; // 解析出 資料庫存在的 fileOrder
			//alert(fileName + "****" + fileOrder);
			
			// 回寫至網頁
			$('.indexImageOrder').each(function(index, element) {
				if($(this).attr('data-title') == fileName){
					$(this).val(fileOrder);
				}
            });
			
		});
		

	});// ./ajax
	

}); // ./ready


// 刪除 ==========================================================================
$(document).ready(function(){
	
	$(".delImgFile").click(function(){						//當點選刪除鈕時
	
		var filePath = $(this).attr('data-title');
		$('#modal_yes').show();
		$('#errorModal #errorMsg').html("<p>確定刪除?</p>");			
		$('#errorModal').modal('show');
		
		$("#modal_yes").bind("click",function(){// 確定刪除
			$('#errorModal').modal('hide');
			
			$.ajax({									//進行ajax技術
			url:"../admin/admin_indexImages_delImageFile.php"
			,type:"POST"
			,data:{									//傳入資料
				filePath:filePath
			}
			}).done(function(msg){						//處理完成後
				//顯示msg
				//alert(msg)
				var pathname = window.location.pathname;
				window.location.href=pathname;
	
			});		
			
		});
	  
	  return false;
	});// ./click
			
}); // ./ready

// 重設輪播順序 ==========================================================================
$(document).ready(function(){	
	$("#resetImageOrder").click(function(){
		$('.indexImageOrder').val('');
		
	  	return false;
	});// ./click			
}); // ./ready


// 儲存輪播順序 ==========================================================================
$(document).ready(function(){	
	$("#saveImageOrder").click(function(){
		
		var datas =new Array();	
		
		$('.indexImageOrder').each(function(index, element) {
            
			var order = $.trim($(this).val());
			if(order!= ''){
				var fileName  = $.trim($(this).attr('data-title'));
				
				datas.push(fileName+"|"+order);
			}
        });
		
		//alert(datas);
		
		
		$.ajax({									//進行ajax技術
		url:"../admin/admin_indexImages_controller.php"
		,type:"POST"
		,data:{
			mode:'set',									//傳入資料
			datas:datas
		}
		}).done(function(msg){						//處理完成後
			//顯示msg
			//alert(msg)
			var pathname = window.location.pathname;
			window.location.href=pathname;

		});
		
		
	  	return false;
	});// ./click			
}); // ./ready


