// JavaScript Document
$(document).ready(function(e) {
	$(".nav li a").each(function(index, element) {
        if($(this).html() == '新增會員'){
			$(this).parent('li').addClass('cw_active');
		}
    });	
});


// 表單欄位驗證==================================================================
$(document).ready(function(e) {
	
	var mailTest = false;	// 檢查信箱(帳號)的輸入是否正確,預設為否 
	var pdTest = false;
	var conTest = false;	// 檢查"確認密碼"的輸入是否正確,預設為否 
	var codeTest = false;	// 檢查"圖形驗證碼"的輸入是否正確,預設為否 
	
	$('#email_success').removeClass('has-success');
	$('#email_success').removeClass('has-error');
	$('#email_infoMsg').html('');
	
	$('#confirmPd_success').removeClass('has-success');
	$('#confirmPd_success').removeClass('has-error');
	$('#confirmPd_infoMsg').html('');
	
	$('#password_success').removeClass('has-success');
	$('#password_success').removeClass('has-error');
	$('#password_infoMsg').html('');
	
	
	//------------------------------------------------------------------------------
	
	var checkMail = $("#email");
	var checkPd = $("#password");
	var confirmPd = $("#confirmPd");

	//--------檢測信箱(帳號)--------------------------------------------------------
	//當游標離開帳號欄位時
	checkMail.bind("blur",function(meg){	
		
		$('#email_success').removeClass('has-success');
		$('#email_success').removeClass('has-error');
		$('#email_infoMsg').html('');
		$('#confirmPd_success').removeClass('has-success');
		$('#confirmPd_success').removeClass('has-error');
		$('#confirmPd_infoMsg').html('');
		
		//假如欄位內的值不是空的
		if($(this).val()!=""){
				var checkMailval = $(this).val();	//取得目前內容值
				var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z]+$/;
				//使用AJAX技術取,來處理判斷帳號
				$.ajax(
					{	//要載入的是checkMember.php, 以POST方式傳入checkMailval變數的值
						url:"../member/mem_checkMail.php"
						,type:"POST"
						,data:{mem_mail:checkMailval}
					}
				).done(function(msg){		//處理完成後執行以下function函數
					//alert(meg);
					if(msg >= 1){
						$('#email_infoMsg').html('帳號已存在,不能使用！');
						$('#email_success').addClass('has-error');
						mailTest=false;		//mailTest變數記錄帳號不正確
					}
					else if(!reg.test(checkMailval)){
						$('#email_infoMsg').html('信箱格式不符！');
						$('#email_success').addClass('has-error');
						mailTest=false;		//mailTest變數記錄帳號不正確
					}
					else{
						$('#email_success').addClass('has-success');
						mailTest=true;		//mailTest變數記錄帳號是正確的
					}
				});
		}		
		else{
			mailTest=false;
		}	//else指的是if判斷式不符合,也就是欄位內的值是空的
	});
	
	//--------"密碼"欄位檢查是否為空值-----------------------------------------------
	//每當輸入一個字時
	$('#password').bind("keyup",function(meg){
		
		$('#password_success').removeClass('has-success');
		$('#password_success').removeClass('has-error');
		$('#password_infoMsg').html('');
		
		if($('#password').val() == ""){
			$('#password_success').addClass('has-error');			
			$('#password_infoMsg').html('不能為空值');
			pdTest = false;
		}
		else{
			$('#password_success').addClass('has-success');
			pdTest = true;
		}
		
		
	});
	
	//--------"確認密碼"欄位檢查-----------------------------------------------------
	//每當輸入一個字時
	confirmPd.bind("keyup",function(meg){
		
		$('#confirmPd_success').removeClass('has-success');
		$('#confirmPd_success').removeClass('has-error');
		$('#confirmPd_infoMsg').html('');
	
		if(confirmPd.val()==checkPd.val()){
			$('#confirmPd_success').addClass('has-success');
			conTest=true;
		}
		else{
			$('#confirmPd_success').addClass('has-error');
			$('#confirmPd_infoMsg').html('密碼不符！');
			conTest=false;
		}
				
		if(confirmPd.val() == ""){
			$('#confirmPd_success').removeClass('has-success');
			$('#confirmPd_success').removeClass('has-error');
			$('#confirmPd_infoMsg').html('');
			conTest=false;
			
		}
		
	});
	
	//--------圖形驗證碼核對--------------------------------------------------------
	$("#chkPic").bind("keyup",function(chkmsg){
		var inputCodeVal = $(this).val();	//取得目前內容
		
		$('#chkPic_success').removeClass('has-success');
		$('#chkPic_success').removeClass('has-error');
		$('#chkPic_infoMsg').html('');
		
		$.ajax(
				{	//要載入的是chkImgCode.php, 以POST方式傳入checkCode變數的值
					url:"../create_images/chkImgCode.php"
					,type:"POST"
					,data:{inputCode:inputCodeVal}
				}
			).done(function(chkmsg){		//處理完成後執行以下function函數
				//alert('chkmsg:'+chkmsg);
				if(chkmsg == 1){
					$('#chkPic_success').addClass('has-success');
					codeTest=true;		//codeTest變數記錄帳號不正確
				}
				else{
					$('#chkPic_infoMsg').html('驗證碼不正確！');
					$('#chkPic_success').addClass('has-error');					
					codeTest=false;		//codeTest變數記錄帳號是正確的
				}
		});
		
		if(inputCodeVal == ""){
			$('#chkPic_success').removeClass('has-success');
			$('#chkPic_success').removeClass('has-error');
			$('#chkPic_infoMsg').html('');
			codeTest=false;
			
		}
		
		
	});

	//--------按下註冊鈕時的判斷----------------------------------------------------
	$("form").bind("submit",function(){	
		
 		if(mailTest && pdTest && conTest && codeTest){
	 		return true;		//傳回true
	 	}
	 	else{	//否則表示有任何一個錯誤時, 顯示訊息提示
		
			var errorMsg = "<p>填寫有錯！<span  style='color:#d9534f;'>請檢查！</span></p>";
			if(!mailTest){
				errorMsg += "<p><span  style='color:#428bca;'>電子信箱</span></p>"
			}
			if(!pdTest){
				errorMsg += "<p><span  style='color:#428bca;'>登入密碼</span></p>"
			}
			if(!conTest){
				errorMsg += "<p><span  style='color:#428bca;'>確認密碼</span></p>"
			}
			if(!codeTest){
				errorMsg += "<p><span  style='color:#428bca;'>圖形認證</span></p>"
			}
			$('#errorModal #errorMsg').html(errorMsg);
			
			$('#errorModal').modal('show');
			
	 		return false; 		//傳回false
			
			
		}
	});

});