// JavaScript Document

// 表單欄位檢查
$(document).ready(function(e) {
	
	var mailTest = true;		// 檢查信箱(帳號)的輸入是否正確,預設為是
								// 即未更動就不檢查，直接可以submit 
		
	//------------------------------------------------------------------------------
	
	$('#email_success').removeClass('has-success');
	$('#email_success').removeClass('has-error');
	$('#email_infoMsg').html('');

	
	//------------------------------------------------------------------------------
	
	var checkMail = $("#chkEmail");
	
	checkMail.bind("keyup",function(meg){
		mailTest = true;
	});

	//--------檢測信箱(帳號)--------------------------------------------------------
	//當游標離開帳號欄位時
	checkMail.bind("blur",function(meg){	
		
		$('#email_success').removeClass('has-success');
		$('#email_success').removeClass('has-error');
		$('#email_infoMsg').html('');
		$('#confirmPd_success').removeClass('has-success');
		$('#confirmPd_success').removeClass('has-error');
		$('#confirmPd_infoMsg').html('');
		
		var orgMail = checkMail.attr("data-title")
		var newMail = $(this).val();
		
		//假如欄位內的值不是空的
		if( newMail!=""){
						
			if(newMail == orgMail){ // 如果新輸入的信箱與原信箱相同
			
				mailTest=true;		//mailTest變數記錄帳號是正確的			
				
			}else{
				
				
				var checkMailval = $(this).val();	//取得目前內容值
				var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z]+$/;
				//使用AJAX技術取,來處理判斷帳號
				$.ajax(
					{	//要載入的是checkMember.php, 以POST方式傳入checkMailval變數的值
						url:"../member/mem_checkMail.php"
						,type:"POST"
						,data:{mem_mail:checkMailval}
					}
				).done(function(msg){		//處理完成後執行以下function函數
					//alert(meg);
					if(msg == 1){
						$('#email_infoMsg').html('帳號已存在,不能使用！');
						$('#email_success').addClass('has-error');
						mailTest=false;		//mailTest變數記錄帳號不正確
					}
					else if(!reg.test(checkMailval)){
						$('#email_infoMsg').html('信箱格式不符！');
						$('#email_success').addClass('has-error');
						mailTest=false;		//mailTest變數記錄帳號不正確
					}
					else{
						$('#email_success').addClass('has-success');
						mailTest=true;		//mailTest變數記錄帳號是正確的
					}
				});
				
			}
			
			
			
			
				
		}		
		else{
			mailTest=false;
		}	//else指的是if判斷式不符合,也就是欄位內的值是空的
	});	

	//--------按下SUBMIT鈕時的判斷------------------------------------------------
	$("form").bind("submit",function(){	
		
		
 		if(mailTest && conTest && codeTest){
	 		return true;		//傳回true
	 	}
	 	else{	//否則表示有任何一個錯誤時, 顯示訊息提示
		
			var errorMsg = "<p>填寫有錯！<span  style='color:#d9534f;'>請檢查！</span></p>";
			if(!mailTest){
				errorMsg += "<p><span  style='color:#428bca;'>電子信箱</span></p>"
			}
			
			
			$('#errorModal #errorMsg').html(errorMsg);
			
			$('#errorModal').modal('show');
			
	 		return false; 		//傳回false
			
			
		}
	});

});