<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數
require_once('../Connections/dbLink.php'); // 連接資料庫

?>

<?php
if(isset($_POST['sendMail'])){
	
	$CUSTNO = $_POST['CUSTNO'];
	$MOBIL =  $_POST['MOBIL']; 
	
	$sqlStatement = sprintf("SELECT EMAIL, MSN FROM qcust WHERE CUSTNO = '%s' AND MOBIL = '%s';",
							 mysql_real_escape_string($CUSTNO),
							 mysql_real_escape_string($MOBIL)
						   );// 防範 SQL injection
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	$isMailExist = mysql_num_rows($resultSet);// 利用查到的筆數，來當作該會員mail是否存在資料表的依據
	if($isMailExist > 0){
		
		$row = mysql_fetch_assoc($resultSet);
		
		$mail = $row['EMAIL'];
		$password = $row['MSN'];
				
		$subject = "=?UTF-8?B?".base64_encode($email_subject)."?=";
		$message = 	"<p>來自 ".$logoWord." 會員帳號、密碼通知！</p>"
					."<p>帳號：".$mail."</p>"
					."<p>密碼：".$password."</p>"
					."<p>此信件是由系統自動發出，請勿回信！</p>";
		$headers = "From:".$email_from."\r\n";
		$headers .= "Content-type:text/html; charset=rtf8\r\n";
		$result = mail($mail,$subject,$message,$headers);
		
		if($result > 0){
			$errorMsg = "系統以發信至 $mail ，請收信";
		}else{
			$errorMsg = "系統以發信失敗，請稍受再試或洽網站管理人員";
		}
		
	}else{
		$errorMsg = "抱歉!輸入的 客戶編號 或是 手機號碼，不存在系統中";
		
	}
	

	
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>會員登入</title>

<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>


<link href="../css/layout.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="../js/mem_fgt.js"></script>


<?php
if($errorMsg!=""){
	echo "<script type='text/javascript'>
			$(document).ready(function(e) {
				$('#errorModal #errorMsg').html('');
				$('#errorModal #errorMsg').html('$errorMsg');
				$('#errorModal').modal('show');
			});
	  </script>";

}
?>


</head>

<body>
<!--
.col-xs-	:	手機
.col-sm-	:	平板
.col-md-	:	桌機
-->
<?php include_once('../layout/nav.php') ?>

<!-- 顯示錯誤訊息的 Modal -->
<div class="modal fade " id="errorModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
	<div class="modal-dialog modal-sm" >
        <div class="modal-content">		    
          <div class="modal-header">
            <!-- 建立關閉  modal 的按鈕-->
            <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
            <!-- 建立  modal 的 標題-->
            <h3 class="modal-title">訊息!</h3>
          </div>
          
          <!-- 建立  modal 的 內容-->
          <div id="errorMsg" class="modal-body " style="overflow:hidden">
          
          </div>
          
          <div class="modal-footer">
        	<button type="button" class="btn btn-primary" data-dismiss="modal">確定</button>

      	  </div>
          
          
        </div>
    </div>
</div>


<!-- 主要內容區 START -->
<div class="col-xs-offset-1 col-xs-10 col-sm-offset-2 col-sm-8 col-md-offset-2 col-md-8">
  
  <div class="row  col-sm-offset-1 col-sm-10 col-md-offset-4 col-md-4 panel panel-default " style="padding:0">
    <div class="panel-heading">
      <p class="panel-title">忘記帳號密碼</p>
    </div>
    <div class="panel-body" style="margin:15px">
      <div class="well">請輸入「客戶編號」與「手機號碼」，系統將寄發「帳號、密碼資訊」，於原註冊信箱。</div>
      <form role="form" action="#" method="post">
      
        <label for="custNo">客戶編號</label>
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-barcode"></i></span>
          <input type="text" tabindex="1" class="form-control" id="custNo" name="CUSTNO" placeholder="輸入客戶編號">
        </div>
        <br />
        <label for="mobil">手機號碼</label>
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-phone"></i></span>
          <input type="text" tabindex="2" class="form-control" id="mobil" name="MOBIL" placeholder="輸入手機號碼">
        </div>
        <br />
        <input type="hidden" name="sendMail" value="enable" />
        <button type="submit" tabindex="3" class="btn btn-primary" style="float:right" >送出</button>
      </form>
    </div>
  </div>

</div>

<div class="padding50"></div>
<!-- 主要內容區 END -->



<?php include_once('../layout/footer.php') ?>

</body>
</html>