<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數
require_once('../Connections/dbLink.php'); // 連接資料庫



if(isset($_SESSION['LoginEMail'])){
	$goTo = "../product/prod_index.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';	
	return;
}



$errorMsg = "";
if(isset($_POST['login'])){
	$sqlStatement = sprintf("SELECT CUSTNAME, CUSTNO, EMAIL, C2, C3 FROM qcust WHERE EMAIL = '%s' AND MSN = '%s';",
							mysql_real_escape_string($_POST['EMAIL']),
							mysql_real_escape_string($_POST['MSN'])
						   );// 防範 SQL injection						   
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	$isCustExist = mysql_num_rows($resultSet);// 利用查到的筆數，來當作該會員是否存在資料表的依據
	
	if($isCustExist > 0){ // 表示有找到 該會員資料
		$row = mysql_fetch_assoc($resultSet);
		
		$_SESSION['LoginCustNo'] = $row['CUSTNO'];
		$_SESSION['LoginEMail'] = $row['EMAIL'];
		$_SESSION['LoginC2'] = $row['C2'];
		$_SESSION['LoginC3'] = $row['C3'];		
		$_SESSION['LoginName'] = $row['CUSTNAME'];
		
		$goTo = "../product/prod_index.php";
		
		if ($goTo != ""){			
			echo '<script>window.location.href="'.$goTo.'"</script>';
		}
		
		
		
	}else{
		$errorMsg = '<p style=" color:#d9534f; font-size:20px; text-align:center;">登入失敗</p>';
	}

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>會員登入</title>

<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../js/mem_login.js" ></script>


<?php
if($errorMsg!=""){
	echo "<script type='text/javascript'>
			$(document).ready(function(e) {
				$('#errorModal #errorMsg').html('');
				$('#errorModal #errorMsg').html('$errorMsg');
				$('#errorModal').modal('show');
			});
	  </script>";

}
?>


</head>

<body>
<!--
.col-xs-	:	手機
.col-sm-	:	平板
.col-md-	:	桌機
-->
<?php include_once('../layout/nav.php') ?>

<!-- 顯示錯誤訊息的 Modal -->
<div class="modal fade " id="errorModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
	<div class="modal-dialog modal-sm" >
        <div class="modal-content">		    
          <div class="modal-header">
            <!-- 建立關閉  modal 的按鈕-->
            <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
            <!-- 建立  modal 的 標題-->
            <h3 class="modal-title">訊息!</h3>
          </div>
          
          <!-- 建立  modal 的 內容-->
          <div id="errorMsg" class="modal-body " style="overflow:hidden">
          
          </div>
          
          <div class="modal-footer">
        	<button type="button" class="btn btn-primary" data-dismiss="modal">確定</button>

      	  </div>
          
          
        </div>
    </div>
</div>


<!-- 主要內容區 START -->
<div class="col-xs-offset-1 col-xs-10 col-sm-offset-2 col-sm-8 col-md-offset-2 col-md-8">
  
  <div class="row  col-sm-offset-1 col-sm-10 col-md-offset-4 col-md-4 panel panel-default " style="padding:0">
    <div class="panel-heading">
      <p class="panel-title">會員登入</p>
    </div>
    <div class="panel-body" style="margin:15px">
      <form role="form" action="#" method="post">
        <label for="email">電子信箱</label>
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
          <input type="text" tabindex="1" class="form-control" id="email" name="EMAIL" placeholder="輸入電子信箱">
        </div>
        <br />
        <label for="password">登入密碼</label>
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
          <input type="password" tabindex="2" class="form-control" id="password" name="MSN" placeholder="輸入密碼">
        </div>
        <br />
        <a href="../member/mem_fgt.php">忘記帳號密碼</a>
        
        <input type="hidden" name="login" value="true" />
        <button type="submit" tabindex="7" id="btnLogin" class="btn btn-primary" style="float:right" >登入</button>
      </form>
    </div>
  </div>

</div>

<div class="padding50"></div>
<!-- 主要內容區 END -->



<?php include_once('../layout/footer.php') ?>

</body>
</html>