<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫


?>
<?php
if(!isset($_SESSION['LoginEMail']) || $_SESSION['LoginC2'] < 1){ // 如果沒有登入或是 C2 < 1，先導入登入畫面
	$goTo = "../member/mem_login.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';
	exit;
}
?>
<?php
//-----------------------分頁用---------------------------

$showCount = 10; // 顯示的筆數
$currPage  = $_SESSION['memberPage'];


if(!isset($currPage)){
	$currPage = 1; // 若沒有 page 的參數 ，則預設1
}
$startIndex = ($currPage -1) * $showCount;


$sqlStatement = sprintf("SELECT msg_id, msg_createTime, msg_reply 
						 FROM web_msg_board
						 WHERE msg_userNo = '%s'
						 ORDER BY msg_createTime DESC LIMIT $startIndex, $showCount;",
						 mysql_real_escape_string($_SESSION['LoginCustNo'])
						 );
$resultSet = mysql_query($sqlStatement, $dblink);



// 計算總頁數		
$sqlStatement = sprintf("SELECT count(*) 'total' FROM web_msg_board WHERE msg_userNo = '%s' ORDER BY msg_createTime DESC;",
						 mysql_real_escape_string($_SESSION['LoginCustNo']));
						 
$totalSet = mysql_query($sqlStatement, $dblink);
$totalRow = @mysql_fetch_assoc($totalSet);
$resultTotal = $totalRow['total'];	


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>無標題文件</title>

<script type="text/javascript">
$(document).ready(function(e) {
	
	$('#btnCreateMsg').click(function(){
		
		var msg_content = $('#msg_content').val();	// 留言板內容
		msg_content = $.trim(msg_content);
		var msg_userNo = $('#msg_userNo').val();
		
		
		if(msg_content == ''){ // 如果內容為空值，不進資料庫
			$('#msg_content').val('');
			return false;
		}
		
		$.ajax({									//進行ajax技術
		url:"../msg/msg_message_insert.php"
		,type:"POST"
		,data:{//傳入資料
			msg_userNo:msg_userNo,
			msg_content:msg_content
		}
		}).done(function(msg){						//處理完成後
			//顯示msg
			//alert(msg);
			//window.location.reload()				//頁面重新載入(慢)
			
			<?php $_SESSION['memberPage'] = 1;?>
			var target = $('#tabContent');
			$(target).load('../msg/msg_message.php');
			
			
		});
		return false;
			
	});
    
});
</script>
<script type="text/javascript" src="../js/msg_message.js" ></script>



</head>

<body>
<h3 style="text-align:center">留言板</h3>
<div class="col-xs-12 col-sm-12 col-md-offset-1 col-md-10 col-lg-offset-2 col-lg-8">
<form method="post" action="">
  <textarea class="form-control" rows="10" id="msg_content" name="msg_content" ></textarea>
  <br />
  <div style="text-align:center">
  <input type="reset" class="btn btn-default" value="清除內容" />
  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
  <input  type="hidden" id="msg_userNo" value="<?php echo $_SESSION['LoginCustNo'];?>" />
  <input  type="submit" class="btn btn-primary" id="btnCreateMsg" value="我要留言" />
  
  </div> 
</form>
</div>
<br style="clear:both;" />
<hr  />
<?php 
if(mysql_num_rows($resultSet) > 0){
?>


<div class="table-responsive">
<table class="table table-bordered" >
    <thead>
      <tr>
        <th width="50%">留言時間</th>
        <th>店家回覆狀況</th>
      </tr>
    </thead>    
    <tbody>
    <?php while($row = @mysql_fetch_assoc($resultSet)){?>
    <tr>
    	<td class='cw_localTime' ><?php echo $row['msg_createTime'];?></td>
        <td>
		<?php		
		if($row['msg_reply'] == NULL || $row['msg_reply'] == '' ){
			echo '未回覆';
		}else{
			echo "<a href='../msg/msg_message_content.php?msg_id=".$row['msg_id']."' class='replyItem' >已回覆</a>";
		}		
		?>        
        </td>
    </tr>
    <?php } ?>    
	</tbody>
</table>
</div>

<?php 
}else{
?>

<p style="text-align:center"> 無任何留言 </p>
	
<?php 
}
?>

<div class="cw_pages" style="float:right;"><!-- tab 專用 -->

<?php


$totalPage = ceil($resultTotal/$showCount); // 計算總頁數
include_once('../tool/getNavBarFn.php'); // 載入計算頁數函數

//==================================================================================


// 取出 頁次 的 list

$jsonString = getNavBarFn($currPage, $totalPage, 5);

/*
getNavBarFn($currPage, $totalPage, $showCount)

---------------------------[參數]---------------------------

$currPage	: 當下頁次

$totalPage	: 總頁次

$showCount	: 欲顯示的頁次數量


---------------------------[回傳JSON字串]---------------------------

"firstPage"		: 第一頁 頁次	(若 $currPage 為 1 時，firstPage = null)
"lastPage"		: 最後頁 頁次	(若 $currPage 為 $totalPage 時， lastPage = null)

"prevPage"		: 上一頁 頁次	(若 $currPage - 1 小於 1 時，prevPage = null)
"nextPage"		: 下一頁 頁次	(若 $currPage + 1 大於 $totalPage 時， nextPage = null)

"prevTenPage"	: 上十頁 頁次	(若 $currPage - 10 小於 1 時，prevTenPage = null)
"nextTenPage"	: 下十頁 頁次	(若 $currPage + 10 大於 $totalPage 時， nextTenPage = null)

"pageItems"		: 撈出來的 頁次 集合
				
*/

$jsonData = json_decode( $jsonString );

$firstPage = $jsonData->firstPage;		// 第一頁 頁次	
$lastPage = $jsonData->lastPage;		// 最後頁 頁次

$prevPage = $jsonData->prevPage;		// 上一頁 頁次
$nextPage = $jsonData->nextPage;		// 下一頁 頁次

$prevTenPage = $jsonData->prevTenPage;	// 上十頁 頁次
$nextTenPage = $jsonData->nextTenPage;	// 下十頁 頁次

$pageItems = $jsonData->pageItems;		// 撈出來的 頁次 集合


?>




<ul class="pagination pagination-sm">
<?php 
if(isset($firstPage)){
	echo "<li><a href='page=$firstPage' ><<</a></li>";
}

if(isset($prevPage)){
	echo "<li><a href='page=$prevPage' ><</a></li>";
}
?>
</ul>
<ul class="pagination pagination-sm">
<?php
foreach($pageItems as $pageItem){

	if($pageItem == $currPage ){		
		echo "<li class='active' ><a href='page=$pageItem' >$pageItem</a></li>";	
	}else{
		echo "<li ><a href='page=$pageItem' >$pageItem</a></li>"; 	
	}
}
?>
</ul>

<ul class="pagination pagination-sm">
<?php 
if(isset($nextPage)){
	echo "<li><a href='page=$nextPage' >></a></li>";
}
 
 
if(isset($lastPage)){
	echo "<li><a href='page=$lastPage' >>></a></li>";
}
?>
</ul>


</div>

<div class="padding25"></div>
<div class="padding50"></div>



</body>
</html>