﻿<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫
$_SESSION['goToProd'] = $_SERVER['REQUEST_URI']; // 紀錄目前URL
$_SESSION['goTo'] = $_SERVER['REQUEST_URI']; // 紀錄目前URL

?>

<?php
$queryStr = $_SERVER['QUERY_STRING'];

if($queryStr == ''){
	$goTo = '?title=最新商品'; // 預設進入最新商品
	echo '<script>window.location.href="'.$goTo.'"</script>';
}

?>

<?php
// init

$baseDetailTable = "select d.*
					from qdetail d
					where ( d.GOODSNO, d.BATCH) 
					in 
					( select GOODSNO,max(BATCH)
					  from qdetail
					  group by GOODSNO
					)"; //解決了，同商品編號，由不同 採購批號重覆採購的問題，該table 只會出現 最新的 採購批號


// 建立 城市 的對應關係表
/*
$sqlStatement = sprintf("SELECT XID, NAME FROM qc_country;");
$resultSet = mysql_query($sqlStatement, $dblink);

$countryMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$countryMapping[$row['XID']]=$row['NAME'];
}
*/

// 建立 TYPE 的對應關係表
/*
$sqlStatement = sprintf("SELECT XID, GOODTYPE FROM qc_type;");
$resultSet = mysql_query($sqlStatement, $dblink);

$typeMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$typeMapping[$row['XID']]=$row['GOODTYPE'];
}
*/

// 建立 Color 的對應關係表
$sqlStatement = sprintf("SELECT NO1, PIC FROM qc_color;");
$resultSet = mysql_query($sqlStatement, $dblink);
$colorMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$colorMapping[$row['NO1']]=$row['PIC'];
}

// 建立 季節 的對應關係表
/*
$seasonMapping = array(
    "0" => "春",
    "1" => "夏",
	"2" => "秋",
	"3" => "冬",
	"4" => "四季",
);
*/
?>
<?php // 撈資料

//-----------------------分頁用---------------------------

$showCount = 24; // 顯示的筆數
$currPage  = $_GET["page"];
if(!isset($currPage)){
	$currPage = 1; // 若沒有 page 的參數 ，則預設1
}
$startIndex = ($currPage -1) * $showCount;

//---------------------------------------

$whereStatement = ''; // 依C3決定顯示商品與否 

if($_SESSION['LoginC3'] == '0'){// A群組		
	$whereStatement = 'IM_OUTSTK > 0.0';
}else if($_SESSION['LoginC3'] == '1'){// B群組
	$whereStatement = 'IM_POSSTK > 0.0';
}else{// C群組
	$whereStatement = 'ORD > 0.0';
}




if(isset($_GET['type'])){ // type 存在表示是利用 類別 再進行顯示
	
	$sqlStatement = sprintf("SELECT base.* FROM ($baseDetailTable) base 
							 WHERE base.GOODSTYPE = '%s'
							 AND
							 base.COUNTRY = '%s'
							 AND
							 base.SEASON = '%s'
							 AND 
							 base.SPOSS > 0
							 AND
							 base.$whereStatement
							 ORDER BY base.BILL DESC
							 LIMIT $startIndex, $showCount;",
							 mysql_real_escape_string($_GET['type']),
							 mysql_real_escape_string($_GET['country']),
							 mysql_real_escape_string($_GET['season'])
						);// 防範 SQL injection
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT count(*) 'total' FROM ($baseDetailTable) base 
							 WHERE base.GOODSTYPE = '%s'
							 AND
							 base.COUNTRY = '%s'
							 AND
							 base.SEASON = '%s'
							 AND 
							 base.SPOSS > 0
							 AND
							 base.$whereStatement
							 ORDER BY base.BILL DESC",
							 mysql_real_escape_string($_GET['type']),
							 mysql_real_escape_string($_GET['country']),
							 mysql_real_escape_string($_GET['season'])
						);
	$totalSet = mysql_query($sqlStatement, $dblink);
	$totalRow = @mysql_fetch_assoc($totalSet);
	$resultTotal = $totalRow['total'];
	
	
	
}elseif($_GET['title'] == '暢銷商品'){
		
	$sqlStatement = sprintf("SELECT DISTINCT SUM(i.UNIT30) AS 'total', d.* 
							 FROM qitems i 
							 INNER JOIN  ($baseDetailTable) d
							 ON
							 i.GOODSNO = d.GOODSNO
							 WHERE
							 i.UNIT30 > 0.0
							 AND
							 d.SPOSS > 0
							 AND
							 d.$whereStatement
							 GROUP BY d.GOODSNO
							 ORDER BY total DESC 
							 LIMIT $startIndex, $showCount;");
							 
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);	
	
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT DISTINCT SUM(i.UNIT30) AS 'total', d.* 
							 FROM qitems i 
							 INNER JOIN  ($baseDetailTable) d
							 ON
							 i.GOODSNO = d.GOODSNO
							 WHERE
							 i.UNIT30 > 0.0
							 AND
							 d.SPOSS > 0
							 AND
							 d.$whereStatement
							 GROUP BY d.GOODSNO
							 ORDER BY total DESC;");
	$totalSet = mysql_query($sqlStatement, $dblink);
	$resultTotal = mysql_num_rows($totalSet);
	
	//echo $resultTotal;
}elseif(isset($_GET['searchWord']) && ($_GET['searchWord'] != NULL)){
	$sqlStatement = sprintf("SELECT base.* FROM ($baseDetailTable) base 
							 WHERE base.SPOSS > 0
							 AND
							 base.$whereStatement
							 AND (
								  base.GOODSNO LIKE '%s'
							 OR
							 	  base.GOODSNAME LIKE '%s'
							 )
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC
							 LIMIT $startIndex, $showCount;",
							 mysql_real_escape_string("%".$_GET['searchWord']."%"),
							 mysql_real_escape_string("%".$_GET['searchWord']."%"));
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);	
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT count(*) 'total' FROM ($baseDetailTable) base 
							 WHERE base.SPOSS > 0
							 AND
							 base.$whereStatement
							 AND (
								  base.GOODSNO LIKE '%s'
							 OR
							 	  base.GOODSNAME LIKE '%s'
							 )
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC;",
							 mysql_real_escape_string("%".$_GET['searchWord']."%"),
							 mysql_real_escape_string("%".$_GET['searchWord']."%"));
							 
	$totalSet = mysql_query($sqlStatement, $dblink);
	$totalRow = @mysql_fetch_assoc($totalSet);
	$resultTotal = $totalRow['total'];	
		
	
}else{ // 最新商品
	$sqlStatement = sprintf("SELECT base.* FROM ($baseDetailTable) base 
							 WHERE base.SPOSS > 0
							 AND
							 base.$whereStatement
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC
							 LIMIT $startIndex, $showCount;");
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);	
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT count(*) 'total' FROM ($baseDetailTable) base 
							 WHERE base.SPOSS > 0
							 AND
							 base.$whereStatement
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC;");
							 
	$totalSet = mysql_query($sqlStatement, $dblink);
	$totalRow = @mysql_fetch_assoc($totalSet);
	$resultTotal = $totalRow['total'];

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>商品</title>
<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">
$(document).ready(function(e) {
	$(".nav li a").each(function(index, element) {
        if($(this).html() == '商品'){
			$(this).parent('li').addClass('cw_active');
		}
    });
	$('.cw_menu_item[title="<?php echo urldecode ($_GET['title']);?>"]').addClass('active');
		
});
</script>

<script type="text/javascript">
	$(document).ready(function(e) {
		
		// 增加 "商品分類 收合按鈕"
        $('#cw_navbar').prepend('<button type="button" \
									class="navbar-toggle" \
									data-toggle="offcanvas" \
									data-target=".sidebar-offcanvas" \
									style="float:left; margin-left:15px"> \
										<span class="sr-only">Toggle navigation</span> \
										<span class="icon-bar"></span> \
										<span class="icon-bar"></span> \
										<span class="icon-bar"></span> \
								  </button>');
    });


</script>

<style type="text/css">



html,body{
	width:100%;
	height:100%;
}

th,td{
	text-align:center;
}

a {
	color:#777;
}
a:hover{
	color:#428bca;
	text-decoration:none;
}

table tr td a {
    display:block;
}




/* 商品分類滑出時的黑色半透明背景*/
#mask{
	width:100%;
	height:100%;
	background:url(../images/mask.png) repeat;
	
	position:fixed;
	display:none; /* 預設先關閉*/
	
	z-index:40;
}

/* 商品分類收合畫面的CSS */
.sidebar-offcanvas {	
	background-color:#FCFCFC;
	padding:0;	
	border:#E7E7E7 1px solid;
	
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
	border-radius: 4px;
	margin-bottom:60px;
	
	z-index:45;	
}


/* 商品顏色 */
.colorBlock{
	 width:20px;
	 height:20px;
	 border:#777 1px solid; float:left;
	 
	 margin-left:5px;
	 -moz-border-radius: 4px;
	-webkit-border-radius: 4px;
	border-radius: 4px;
	 
	
}

.cw_prod_item{
	padding-left:6px; 
	padding-right:6px;
}
.rowProdLeft{
	padding-left:10px;

}

@media screen and (min-width: 768px) {
.imgBlock{
	width:306px;
	height:408px;
}

}


@media screen and (max-width: 767px) {
html{
	overflow-x: hidden;
}
	
.sidebar-offcanvas {	
	display:none; /* 可使右邊商品區版面高度，不受"分類商品" 長度影響*/
	position: absolute;	
	
	width: 50%;
	
	-moz-border-radius: 0px;
	-webkit-border-radius: 0px;
	border-radius: 0px;	
	-webkit-border-top-right-radius: 4px;
	-webkit-border-bottom-right-radius: 4px;
	-moz-border-radius-topright: 4px;
	-moz-border-radius-bottomright: 4px;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;	
	
	clear:both;
}
	
.row-offcanvas {
	position: relative;
}

.row-offcanvas-left .sidebar-offcanvas {
	left: -55%;
}

/*關閉*/
.row-offcanvas-left{
	left: 0%;
}




/* 商品縮圖 的CSS*/
.cw_prod_item{
	padding-left:1px; 
	padding-right:1px;
}
	
/* 商品顯示區域*/
#cw_itemsShow{
	padding:0;
	margin:0;
}
.rowProdLeft{
	padding:0px;

}

}
</style>

<script type="text/javascript">

$(document).ready(function() {
	
function toggleLeftMenu() {
	
	$('.row-offcanvas').toggleClass('active');
	
	if ($('.row-offcanvas').hasClass('active')){
		
		$('.sidebar-offcanvas').show();
		$('#mask').show();
		
		$('.row-offcanvas-left.active').animate({left:'50%'},350);
		
		
	}else{
		
		$('#mask').hide();
			
		$('.row-offcanvas-left').animate({left:'0%'},350,
										function(){
											$('.sidebar-offcanvas').css('display','none');			
										});		
	}

}// toggleLeftMenu END
	

	
$('[data-toggle=offcanvas]').click(function() {
	toggleLeftMenu();	
});
  
$('#mask').click(function() {
	toggleLeftMenu();
});

$(window,document).scroll(function(){
	
	if($(document).width() < 768){ // 手機螢幕時
		
		// 當滑動網頁，遮住 navbar 時，將 navbar 至頂
		if($(document).scrollTop() > $('#cw_navbar_top').height()){
			$('#cw_navbar_top').addClass("navbar-fixed-top");	
		}else{
			$('#cw_navbar_top').removeClass("navbar-fixed-top");
		}	
	}else{
		$('#cw_navbar_top').removeClass("navbar-fixed-top");
	}
	
});


$(window,document).resize(function(){
		
	if($(document).width() > 767){ // 螢幕大於手機時，將產品分類顯示
		$('#mask').hide();
		$('.sidebar-offcanvas').show();
	}
	
});
  
});
</script>


<script type="text/javascript">// 呼叫 計算機

$(document).ready(function(e) {
    
	$("a[data-toggle=modal]").click(function(){
    
		var target = $(this).attr('data-target');
		var url = $(this).attr('href');
		//alert(url);
		$(target).load(url);
		
	});
	
});


</script>

</head>

<body>
<div class="modal fade " id="calcModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" ></div><!-- 計算機 -->
<div id="mask"></div><!-- 商品分類滑出時的黑色半透明背景 -->

<?php include_once('../layout/nav.php') ?>
<div class="col-xs-offset-1 col-xs-10 col-sm-offset-1 col-sm-10 col-md-offset-2 col-md-8">
<!-- 主要內容區 START -->
<div class="row row-offcanvas row-offcanvas-left" >

	<!-- 左邊(商品分類) START-->
    <div class="col-sm-3 col-md-2 sidebar-offcanvas" role="navigation" >    
    	<?php include_once('../product/prod_menu.php') ?>
    </div>
    <!-- 左邊　ｅｎｄ-->  
     
    <!-- 右邊　START-->
    <div id="cw_itemsShow" class="col-xs-12 col-sm-9 col-md-10" style="z-index:30;" >
    
      <ol class="breadcrumb">      
        <li class="active">
		<?php echo $_GET['title']; // 顯示 商品title ?>
        </li>
      </ol>
      
      
      <div class="row rowProdLeft" >
      
      
      <?php // 售價決策 要使用的 參數
		  $sqlStatement = sprintf("SELECT DISCOUNT, TRADETYPE FROM qcust WHERE CUSTNO = '%s';", $_SESSION['LoginCustNo']);	  
		  $custSet = mysql_query($sqlStatement, $dblink);
		  $custRow = mysql_fetch_assoc($custSet);
	  ?>
      
      <!-- 商品小圖放這-->
      <?php while($row = mysql_fetch_assoc($resultSet)){?>
      <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 cw_prod_item" >
          <div class="thumbnail"> 
          	<?php
			/* 路徑轉換 */
			$srcPath = $row['PIC']; 	// 從資料庫讀出的路徑(ANDROID)	
			include_once('../tool/trGoodsPath.php');		
			$imgPath = trGoodsPath($srcPath);
			?>
           
          	<a href="../product/prod_detail.php?title=<?php echo $_GET['title']; // 顯示 商品title ?>&BATCH=<?php echo $row['BATCH'];?>&GOODSNO=<?php echo $row['GOODSNO'];?>"><img class="imgBlock img-responsive" src='<?php echo $imgPath;?>'  /></a>
            
            <div class="caption" style="overflow:hidden;">
              
              
              <a href="../product/prod_detail.php?title=<?php echo $_GET['title']; // 顯示 商品title ?>&BATCH=<?php echo $row['BATCH'];?>&GOODSNO=<?php echo $row['GOODSNO'];?>" >
              <p>
			<?php echo $row['GOODSNO'];	// 顯示商品主貨號 ?>  
              <br />
              <span style="white-space:nowrap;  text-overflow:ellipsis; display : inline-block;"><?php echo $row['GOODSNAME'];// 顯示商品名稱 ?></span>
              <br />
              <!-- 顏色 -->
              <div>
			  <?php 
			  	//echo $row['COLORNO']
			  	$colors = explode("，", $row['COLORNO']);				
				foreach( $colors as $color){
			  ?>
              <div class="colorBlock" style="background-color:<?php echo str_replace('0XFF',"#",$colorMapping[$color]);?>;" ></div>
              		
			  <?php } ?>			
              </div>
              
              <br />
              <!-- 售價 -->
              <span style="color:#d9534f; float:right;">

              

			  <?php // 售價決策
			  
			  $custDiscount = $custRow['DISCOUNT']; // 折扣
			  
			  
			  if($custDiscount == '' || $custDiscount == '0' || $custDiscount == NULL){
				$custDiscount = 100;
			  }
			  
			  $prodName = $row['GOODSNAME']; // 如果商品名稱有 * 字開頭，則 Discount = 100(業界慣例)
			  if(substr($prodName,0,1) == '*'){
				  $custDiscount = 100;
			  }
			  
			  $custTradeType = $custRow['TRADETYPE'];
			  
			  if($custTradeType == '2'){
				  $orgPrice = $row['P2']; 	// 中盤價
			  }else if($custTradeType == '3'){
				  $orgPrice = $row['P3'];	// 批發價
			  }else if($custTradeType == '4'){
				  $orgPrice = $row['P4'];	// 網購價
			  }else{
				  $orgPrice = $row['P5'];	// 零售價
			  }
			  
			  //$price = $orgPrice * $custDiscount * 0.01;
			  $price = $orgPrice;
			  
			  echo 'NT. '.$price;
			  
			  ?>
              
              
              
              </span>
              
              </p>
              </a>
              <p style=" margin-top:30px; text-align:center;">
              	<?php if($_SESSION['LoginC2'] >= 1){?>
              	<a href= "../calc/calc.php?GOODSNO=<?php echo $row['GOODSNO'];?>&BATCH=<?php echo $row['BATCH'];?>"  data-toggle= "modal"  data-target= "#calcModal" class="btn btn-default" >加入購物車</a>
              	<?php } ?>
              </p>
            </div>
          </div>
      </div> 
	  
	  <?php } ?>
      
            
      
      </div><!-- row END-->
     
	
    <div class="cw_pages" style="float:right;">

	<?php
    
    $totalPage = ceil($resultTotal/$showCount); // 計算總頁數
    include_once('../tool/getNavBarFn.php'); // 載入計算頁數函數
    
    //==================================================================================
    
    
    // 取出 頁次 的 list
    
    $jsonString = getNavBarFn($currPage, $totalPage, 5);
    
    /*
    getNavBarFn($currPage, $totalPage, $showCount)
    
    ---------------------------[參數]---------------------------
    
    $currPage	: 當下頁次
    
    $totalPage	: 總頁次
    
    $showCount	: 欲顯示的頁次數量
    
    
    ---------------------------[回傳JSON字串]---------------------------
    
    "firstPage"		: 第一頁 頁次	(若 $currPage 為 1 時，firstPage = null)
    "lastPage"		: 最後頁 頁次	(若 $currPage 為 $totalPage 時， lastPage = null)
    
    "prevPage"		: 上一頁 頁次	(若 $currPage - 1 小於 1 時，prevPage = null)
    "nextPage"		: 下一頁 頁次	(若 $currPage + 1 大於 $totalPage 時， nextPage = null)
    
    "prevTenPage"	: 上十頁 頁次	(若 $currPage - 10 小於 1 時，prevTenPage = null)
    "nextTenPage"	: 下十頁 頁次	(若 $currPage + 10 大於 $totalPage 時， nextTenPage = null)
    
    "pageItems"		: 撈出來的 頁次 集合
                    
    */
    
    $jsonData = json_decode( $jsonString );
    
    $firstPage = $jsonData->firstPage;		// 第一頁 頁次	
    $lastPage = $jsonData->lastPage;		// 最後頁 頁次
    
    $prevPage = $jsonData->prevPage;		// 上一頁 頁次
    $nextPage = $jsonData->nextPage;		// 下一頁 頁次
    
    $prevTenPage = $jsonData->prevTenPage;	// 上十頁 頁次
    $nextTenPage = $jsonData->nextTenPage;	// 下十頁 頁次
    
    $pageItems = $jsonData->pageItems;		// 撈出來的 頁次 集合
    
    
    ?>
    
    <?php // 取出 網址 後面的 attributes，但不包含 "page=XXX"
    
    $queryStr = $_SERVER['QUERY_STRING'];
    $attr = explode("&", $queryStr);
    $newAttr = "";
    foreach($attr as $value){
        if(strpos($value,'page=') !== false){// 不包含 page=xxx
            continue;
        }
        $newAttr .= $value."&";	
    }
    $newAttr = rtrim($newAttr,'&');
    
    ?>
    
    
    
    <ul class="pagination pagination-sm">
    <?php 
    if(isset($firstPage)){
        echo "<li><a href='?$newAttr&page=$firstPage' ><<</a></li>";
    }
    
    if(isset($prevTenPage)){
        //echo "<li><a href='?$newAttr&page=$prevTenPage' >上十頁</a></li>";
    }
     
    if(isset($prevPage)){
        echo "<li><a href='?$newAttr&page=$prevPage' ><</a></li>";
    }
    ?>
    </ul>
    <ul class="pagination pagination-sm">
    <?php
    foreach($pageItems as $pageItem){
    	
        if($pageItem == $currPage ){
            
            echo "<li class='active' ><a href='?$newAttr&page=$pageItem' >$pageItem</a></li>";	
            //echo sprintf("<li class='active'><a href='?$newAttr&page=%s' >%s</a></li>",$pageItem,$pageItem);	
        }else{
            echo "<li ><a href='?$newAttr&page=$pageItem' >$pageItem</a></li>"; 	
        }
    }
    ?>
    </ul>
    
    <ul class="pagination pagination-sm">
    <?php 
    if(isset($nextPage)){
        
        //echo sprintf("<li><a href='?$newAttr&page=%s' >></a></li>",$nextPage);
        echo "<li><a href='?$newAttr&page=$nextPage' >></a></li>";
    }
     
    if(isset($nextTenPage)){
        //echo "<li><a href='?$newAttr&page=$nextTenPage' >下十頁</a></li>";
    }
    
    if(isset($lastPage)){
        echo "<li><a href='?$newAttr&page=$lastPage' >>></a></li>";
    }
    ?>
    </ul>
    
    
    </div>
    
        
    </div>
    <!-- 右邊　END-->
    
  </div>

<div class="padding50"></div>
<!-- 主要內容區 END -->
</div>
<?php include_once('../layout/footer.php') ?>

</body>
</html>