<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫
//$_SESSION['goToProd'] = $_SERVER['REQUEST_URI']; // 紀錄目前URL
$_SESSION['goTo'] = $_SERVER['REQUEST_URI']; // 紀錄目前URL

?>
<?php
if(!isset($_SESSION['LoginEMail']) || $_SESSION['LoginC2'] <= 1){ // 如果沒有登入或是 C2 <= 1，先導入登入畫面
	$goTo = "../member/mem_login.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';
	exit;
}
?>
<?php
$queryStr = $_SERVER['QUERY_STRING'];

if($queryStr == ''){
	$goTo = '?title=最新商品'; // 預設進入最新商品
	echo '<script>window.location.href="'.$goTo.'"</script>';
}

?>
<?php
// init

$baseDetailTable = "select d.*
					from qdetail d
					where ( d.GOODSNO, d.BATCH) 
					in 
					( select GOODSNO,max(BATCH)
					  from qdetail
					  group by GOODSNO
					)"; //解決了，同商品編號，由不同 採購批號重覆採購的問題，該table 只會出現 最新的 採購批號


// 建立 城市 的對應關係表
/*
$sqlStatement = sprintf("SELECT XID, NAME FROM qc_country;");
$resultSet = mysql_query($sqlStatement, $dblink);

$countryMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$countryMapping[$row['XID']]=$row['NAME'];
}
*/

// 建立 TYPE 的對應關係表
/*
$sqlStatement = sprintf("SELECT XID, GOODTYPE FROM qc_type;");
$resultSet = mysql_query($sqlStatement, $dblink);

$typeMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$typeMapping[$row['XID']]=$row['GOODTYPE'];
}
*/

// 建立 Color 的對應關係表
$sqlStatement = sprintf("SELECT NO1, PIC FROM qc_color;");
$resultSet = mysql_query($sqlStatement, $dblink);
$colorMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$colorMapping[$row['NO1']]=$row['PIC'];
}

// 建立 季節 的對應關係表
/*
$seasonMapping = array(
    "0" => "春",
    "1" => "夏",
	"2" => "秋",
	"3" => "冬",
	"4" => "四季",
);
*/
?>
<?php // 撈資料

//-----------------------分頁用---------------------------

$showCount = 24; // 顯示的筆數
$currPage  = $_GET["page"];
if(!isset($currPage)){
	$currPage = 1; // 若沒有 page 的參數 ，則預設1
}
$startIndex = ($currPage -1) * $showCount;

//---------------------------------------




if(isset($_GET['type'])){ // type 存在表示是利用 類別 再進行顯示
	
	$sqlStatement = sprintf("SELECT base.* FROM ($baseDetailTable) base 
							 WHERE base.GOODSTYPE = '%s'
							 AND
							 base.COUNTRY = '%s'
							 AND
							 base.SEASON = '%s'
							 AND 
							 base.SPOSS > 0
							 
							 ORDER BY base.BILL DESC
							 LIMIT $startIndex, $showCount;",
							 mysql_real_escape_string($_GET['type']),
							 mysql_real_escape_string($_GET['country']),
							 mysql_real_escape_string($_GET['season'])
						);// 防範 SQL injection
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT count(*) 'total' FROM ($baseDetailTable) base 
							 WHERE base.GOODSTYPE = '%s'
							 AND
							 base.COUNTRY = '%s'
							 AND
							 base.SEASON = '%s'
							 AND 
							 base.SPOSS > 0
							 
							 ORDER BY base.BILL DESC",
							 mysql_real_escape_string($_GET['type']),
							 mysql_real_escape_string($_GET['country']),
							 mysql_real_escape_string($_GET['season'])
						);
	$totalSet = mysql_query($sqlStatement, $dblink);
	$totalRow = @mysql_fetch_assoc($totalSet);
	$resultTotal = $totalRow['total'];
	
	
	
}elseif(isset($_GET['title']) && ($_GET['title'] == '暢銷商品')){
		
	$sqlStatement = sprintf("SELECT DISTINCT SUM(i.UNIT30) AS 'total', d.* 
							 FROM qitems i 
							 INNER JOIN  ($baseDetailTable) d
							 ON
							 i.GOODSNO = d.GOODSNO
							 WHERE
							 i.UNIT30 > 0.0
							 AND
							 d.SPOSS > 0
							
							 GROUP BY d.GOODSNO
							 ORDER BY total DESC 
							 LIMIT $startIndex, $showCount;");
							 
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);	
	
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT DISTINCT SUM(i.UNIT30) AS 'total', d.* 
							 FROM qitems i 
							 INNER JOIN  ($baseDetailTable) d
							 ON
							 i.GOODSNO = d.GOODSNO
							 WHERE
							 i.UNIT30 > 0.0
							 AND
							 d.SPOSS > 0
							 
							 GROUP BY d.GOODSNO
							 ORDER BY total DESC;");
	$totalSet = mysql_query($sqlStatement, $dblink);
	$resultTotal = mysql_num_rows($totalSet);
	
	//echo $resultTotal;
	
		
	
}elseif(isset($_GET['searchWord']) && ($_GET['searchWord'] != NULL)){
	$sqlStatement = sprintf("SELECT base.* FROM ($baseDetailTable) base 
							 WHERE  (
								  base.GOODSNO LIKE '%s'
							 OR
							 	  base.GOODSNAME LIKE '%s'
							 )
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC
							 LIMIT $startIndex, $showCount;",
							 mysql_real_escape_string("%".$_GET['searchWord']."%"),
							 mysql_real_escape_string("%".$_GET['searchWord']."%"));
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);	
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT count(*) 'total' FROM ($baseDetailTable) base 
							 WHERE  (
								  base.GOODSNO LIKE '%s'
							 OR
							 	  base.GOODSNAME LIKE '%s'
							 )
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC;",
							 mysql_real_escape_string("%".$_GET['searchWord']."%"),
							 mysql_real_escape_string("%".$_GET['searchWord']."%"));
							 
	$totalSet = mysql_query($sqlStatement, $dblink);
	$totalRow = @mysql_fetch_assoc($totalSet);
	$resultTotal = $totalRow['total'];
	
}else{ // 最新商品
	$sqlStatement = sprintf("SELECT base.* FROM ($baseDetailTable) base 
							 WHERE base.SPOSS > 0
							 
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC
							 LIMIT $startIndex, $showCount;");
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);	
	
	// 計算總頁數		
	$sqlStatement = sprintf("SELECT count(*) 'total' FROM ($baseDetailTable) base 
							 WHERE base.SPOSS > 0
							 
							 ORDER BY base.BATCH DESC, base.CREATEDATETIME DESC;");
							 
	$totalSet = mysql_query($sqlStatement, $dblink);
	$totalRow = @mysql_fetch_assoc($totalSet);
	$resultTotal = $totalRow['total'];

}

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>上架商品管理中心</title>
<!--<script src='http://cdn.bootcss.com/jquery/1.11.1/jquery.min.js'></script>-->
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script><!-- 1.11.1版本 對 checkBox 支援有問題 於是改成 1.81版-->
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
$(document).ready(function(e) {
	$(".nav li a").each(function(index, element) {
        if($(this).html() == '上架商品管理中心'){
			$(this).parent('li').addClass('cw_active');
		}
    });
	$('.cw_menu_item[title="<?php echo urldecode ($_GET['title']);?>"]').addClass('active');

		
});
</script>

<link href="../css/admin_prod_sposs.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../js/admin_prod_sposs.js"></script>

</head>

<body>
<div id="mask"></div>
<!-- 商品分類滑出時的黑色半透明背景 -->

<?php include_once('../layout/nav.php') ?>
<div class="col-xs-offset-1 col-xs-10 col-sm-offset-1 col-sm-10 col-md-offset-2 col-md-8">
<!-- 主要內容區 START -->
<div class="row row-offcanvas row-offcanvas-left" >

<!-- 左邊(商品分類) START-->
<div class="col-sm-3 col-md-2 sidebar-offcanvas" role="navigation">
<?php include_once('../product/prod_menu.php') ?>
</div>
<!-- 左邊　ｅｎｄ-->

<!-- 右邊　START-->
<div id="cw_itemsShow" class="col-xs-12 col-sm-9 col-md-10" style="z-index:30;" >
  <ol class="breadcrumb">
    <li class="active"><?php echo $_GET['title']; // 顯示 商品title ?></li>
  </ol>
  <div class="row rowProdLeft" >
    
    <!-- 商品小圖放這-->
    <?php while($row = mysql_fetch_assoc($resultSet)){?>
    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 cw_prod_item" >
      <div class="thumbnail">
        <?php
        /* 路徑轉換 */
		$srcPath = $row['PIC']; 	// 從資料庫讀出的路徑(ANDROID)	
		include_once('../tool/trGoodsPath.php');		
		$imgPath = trGoodsPath($srcPath);
			
		?>
        
        <a href="../admin/admin_product_edit.php?BATCH=<?php echo $row['BATCH'];?>&GOODSNO=<?php echo $row['GOODSNO'];?>" >
        <img class="imgBlock img-responsive" src='<?php echo $imgPath;?>' />        
        </a>
        <div class="caption" style="overflow:hidden;">
          <p>
          <a href="../admin/admin_product_edit.php?BATCH=<?php echo $row['BATCH'];?>&GOODSNO=<?php echo $row['GOODSNO'];?>" >		  
    		<?php echo $row['GOODSNO'];	// 顯示商品編號 ?>
            <br />
            <span style="white-space:nowrap;  text-overflow:ellipsis; display : inline-block;">
            <?php echo $row['GOODSNAME'];// 顯示商品名稱 ?>
            </span>
          </a>          
          <br />                
          
          <form action="" method="post">
            <p>批發價:
              <input class="form-control" type="text" style="text-align:right" value="<?php echo $row['P3'];?>" name="P3" />
            </p>
            <p>網購價:
              <input class="form-control" type="text" style="text-align:right" value="<?php echo $row['P4'];?>" name="P4" />
            </p>
            <p>零售價:
              <input class="form-control" type="text" style="text-align:right" value="<?php echo $row['P5'];?>" name="P5" />
            </p>
            <p>上架狀態:
              <label >
                <input class='cw_sposs_chkbox' type="checkbox" value="1" name='SPOSS'  <?php if (!(strcmp($row['SPOSS'], '1'))) {echo "checked='checked'";} ?> >
                上架</label>
            </p>
            <p>
              <label>
                <input class='cw_group_chkbox' type="checkbox" value="1" name='IM_OUTSTK' <?php if (!(strcmp($row['IM_OUTSTK'], '1'))) {echo "checked='checked'";} ?> >
                A群組<br />
              </label>
              <label >
                <input class='cw_group_chkbox' type="checkbox" value="1" name='IM_POSSTK' <?php if (!(strcmp($row['IM_POSSTK'], '1'))) {echo "checked='checked'";} ?> >
                B群組<br />
              </label>
              <label >
                <input class='cw_group_chkbox' type="checkbox" value="1" name='ORD'  <?php if (!(strcmp($row['ORD'], '1'))) {echo "checked='checked'";} ?> >
                C群組<br />
              </label>
            </p>
            
            
            <input type="hidden" name="BATCH" value="<?php echo $row['BATCH'];?>" />
            <input type="hidden" name="GOODSNO" value="<?php echo $row['GOODSNO'];?>" />
            <input type="submit" class="btn btn-info" style=" float:right" value="更新" />
          </form>
          
         
          </p>
        </div><!-- ./ caption -->
      </div>
    </div>
    <?php } ?>
  </div>
  <!-- row END-->
  
  <div class="cw_pages" style="float:right;">
    <?php
    
    $totalPage = ceil($resultTotal/$showCount); // 計算總頁數
    include_once('../tool/getNavBarFn.php'); // 載入計算頁數函數
    
    //==================================================================================
    
    
    // 取出 頁次 的 list
    
    $jsonString = getNavBarFn($currPage, $totalPage, 5);
    
    /*
    getNavBarFn($currPage, $totalPage, $showCount)
    
    ---------------------------[參數]---------------------------
    
    $currPage	: 當下頁次
    
    $totalPage	: 總頁次
    
    $showCount	: 欲顯示的頁次數量
    
    
    ---------------------------[回傳JSON字串]---------------------------
    
    "firstPage"		: 第一頁 頁次	(若 $currPage 為 1 時，firstPage = null)
    "lastPage"		: 最後頁 頁次	(若 $currPage 為 $totalPage 時， lastPage = null)
    
    "prevPage"		: 上一頁 頁次	(若 $currPage - 1 小於 1 時，prevPage = null)
    "nextPage"		: 下一頁 頁次	(若 $currPage + 1 大於 $totalPage 時， nextPage = null)
    
    "prevTenPage"	: 上十頁 頁次	(若 $currPage - 10 小於 1 時，prevTenPage = null)
    "nextTenPage"	: 下十頁 頁次	(若 $currPage + 10 大於 $totalPage 時， nextTenPage = null)
    
    "pageItems"		: 撈出來的 頁次 集合
                    
    */
    
    $jsonData = json_decode( $jsonString );
    
    $firstPage = $jsonData->firstPage;		// 第一頁 頁次	
    $lastPage = $jsonData->lastPage;		// 最後頁 頁次
    
    $prevPage = $jsonData->prevPage;		// 上一頁 頁次
    $nextPage = $jsonData->nextPage;		// 下一頁 頁次
    
    $prevTenPage = $jsonData->prevTenPage;	// 上十頁 頁次
    $nextTenPage = $jsonData->nextTenPage;	// 下十頁 頁次
    
    $pageItems = $jsonData->pageItems;		// 撈出來的 頁次 集合
    
    
    ?>
    <?php // 取出 網址 後面的 attributes，但不包含 "page=XXX"
    
    $queryStr = $_SERVER['QUERY_STRING'];
    $attr = explode("&", $queryStr);
    $newAttr = "";
    foreach($attr as $value){
        if(strpos($value,'page=') !== false){// 不包含 page=xxx
            continue;
        }
        $newAttr .= $value."&";	
    }
    $newAttr = rtrim($newAttr,'&');
    
    ?>
    <ul class="pagination pagination-sm">
      <?php 
    if(isset($firstPage)){
        echo "<li><a href='?$newAttr&page=$firstPage' ><<</a></li>";
    }
    
    if(isset($prevTenPage)){
        //echo "<li><a href='?$newAttr&page=$prevTenPage' >上十頁</a></li>";
    }
     
    if(isset($prevPage)){
        echo "<li><a href='?$newAttr&page=$prevPage' ><</a></li>";
    }
    ?>
    </ul>
    <ul class="pagination pagination-sm">
      <?php
    foreach($pageItems as $pageItem){
    	
        if($pageItem == $currPage ){
            
            echo "<li class='active' ><a href='?$newAttr&page=$pageItem' >$pageItem</a></li>";	
            //echo sprintf("<li class='active'><a href='?$newAttr&page=%s' >%s</a></li>",$pageItem,$pageItem);	
        }else{
            echo "<li ><a href='?$newAttr&page=$pageItem' >$pageItem</a></li>"; 	
        }
    }
    ?>
    </ul>
    <ul class="pagination pagination-sm">
      <?php 
    if(isset($nextPage)){
        
        //echo sprintf("<li><a href='?$newAttr&page=%s' >></a></li>",$nextPage);
        echo "<li><a href='?$newAttr&page=$nextPage' >></a></li>";
    }
     
    if(isset($nextTenPage)){
        //echo "<li><a href='?$newAttr&page=$nextTenPage' >下十頁</a></li>";
    }
    
    if(isset($lastPage)){
        echo "<li><a href='?$newAttr&page=$lastPage' >>></a></li>";
    }
    ?>
    </ul>
  </div>
</div>
<!-- 右邊　END-->

</div>
<div class="padding50"></div>
<!-- 主要內容區 END -->
</div>
<?php include_once('../layout/footer.php') ?>

</body>
</html>