<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫
?>
<?php // setting Mapping

// 建立 Color 的對應關係表
$sqlStatement = sprintf("SELECT NO1, PIC, TXT FROM qc_color;");
$resultSet = mysql_query($sqlStatement, $dblink);

$colorMapping = array();
$colorTxtMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$colorMapping[$row['NO1']]=$row['PIC'];
	$colorTxtMapping[$row['NO1']]=$row['TXT'];
}

?>

<?php // 撈資料

$BATCH = $_GET['BATCH'];
$GOODSNO = $_GET['GOODSNO'];

$sqlStatement = sprintf("SELECT DISTINCT GOODSNAME, COLORNO, SIZE
							 FROM qdetail
							 WHERE 
							 BATCH = '%s'
							 AND 
							 GOODSNO = '%s';",
							 mysql_real_escape_string($BATCH),
							 mysql_real_escape_string($GOODSNO)		
							 );
//echo $sqlStatement;
$resultSet = mysql_query($sqlStatement, $dblink);
$row = @mysql_fetch_assoc($resultSet);

$sizes = explode(',', $row['SIZE']);
$colorNos = explode('，', $row['COLORNO']);




?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>計算機</title>

<!--
<script src='http://cdn.bootcss.com/jquery/1.11.1/jquery.min.js'></script>
<link rel="stylesheet" href="http://cdn.bootcss.com/bootstrap/3.2.0/css/bootstrap.min.css">
<link rel="stylesheet" href="http://cdn.bootcss.com/bootstrap/3.2.0/css/bootstrap-theme.min.css">
<script src="http://cdn.bootcss.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
-->
<style type="text/css">
table tr td a {
	display: block;
}
.color_block {
	-moz-border-radius: 2px;
	-webkit-border-radius: 2px;
	border-radius: 2px;
}
a {
	text-align: center;
	color: #777;
}
a:hover {
	color: #428bca;
	text-decoration: none;
}
th {
	padding: 500px;
}
.color_block {
	text-align: center;
}
#prod_tiems th {
	text-align: center;
	padding-right: 25px;
	padding-left: 25px;
}

#prod_tiems a {
	font-weight:bold;
	font-size:18px;
}
#calc_display{
	font-size:20px;
}

.wordArea {
	overflow: hidden;
	display: block;
	white-space: nowrap; /* 規定段落中的本文不進行換行 */
	text-overflow: ellipsis;
	/*
	clip : 　不顯示省略標記（…），而是簡單的裁切
	ellipsis : 　當物件內文本溢出時顯示省略標記（…），省略標記插入的位置是最後一個字元。
	ellipsis-word : 　當物件內文本溢出時顯示省略標記（…），省略標記插入的位置是最後一個詞。
	*/
	-o-text-overflow: ellipsis;
}

 
</style>
<script type="text/javascript">

$(document).ready(function(e) {
	
	var calc_display = 0;
	var mode = 'single';
    
	function changeMode(btn){
		$('.clac_btn').removeClass('active');
		$('.clac_btn').not("#btn-plus").removeClass('btn-warning');
		$('.clac_btn').not("#btn-plus").addClass('btn-default');
		
		btn.removeClass('btn-default');
		btn.addClass('btn-warning');
		btn.addClass('active');
		
		mode = btn.attr('title');
		//alert(mode);
	}
	
	$('.clac_btn').click(function() { // 當計算機
		var btnValue= $(this).attr('title');
		
		switch (btnValue){
			case 'row':
				changeMode($(this));		  		
		  		break;
			case 'col':
		  		changeMode($(this));
		  		break;
			case 'single':
		  		changeMode($(this));
		  		break;
			case 'all':
		  		changeMode($(this));
				changeAllData(calc_display);
				
				changeMode($('.clac_btn[title="single"]'));
				
				
		  		break;
			case 'C':
				calc_display = 0;
				$('#calc_display').val(calc_display);
		  		
		  		break;
			case '+':
		  		if($(this).html() == '+'){
					$(this).html('-');
				}else{
					$(this).html('+');
				}
		  		break;
			default:
				calc_display = $('#calc_display').val();
				
				if(calc_display == '0'){
					calc_display = '';
				}
				
				calc_display += btnValue;
				$('#calc_display').val(calc_display);
		  
		}// ./switch
	});// .$('.clac_btn').click
	
	
	$('#prod_tiems a').click(function(){
		var col = $(this).attr('data-title');
		var row = $(this).parents('tr').attr('data-title');
		
		switch (mode){
			case 'row':
				changeRowData(row,calc_display)		  		
		  		break;
			case 'col':
		  		changeColData(col,calc_display)
		  		break;
			case 'single':
		  		changeSingleData($(this),calc_display);
		  		break;
			case 'all':
		  		changeAllData(calc_display);
		  		break;			
		  
		}// ./switch
		
			
	});// ./$('#prod_tiems a').click
	
	function resetDisplay(){// 歸 0
		calc_display = 0;
		$('#calc_display').val(calc_display);
	}
	
	
	function changeRowData(row,data){
		$('#prod_tiems tr[data-title='+ row +'] a').html(data);
		resetDisplay();
		
		
	}
	function changeColData(col,data){
		$('#prod_tiems a[data-title='+ col +']').html(data);
		resetDisplay();
	}
	function changeSingleData(cell,data){
		
		var orgData = parseInt(cell.html());		
		if($('#btn-plus').html() == '+'){
			orgData += parseInt(data);
		}else{
			orgData -= parseInt(data);
		}
		
		if(orgData < 0){
			orgData = 0;
		}
		
		cell.html(orgData);
		
	}
	function changeAllData(data){
		$('#prod_tiems a').html(data);
		resetDisplay();
	}
	
});


</script>
<script type="text/javascript">
$(document).ready(function(e) {
    $('#addCar').bind('click',function(e){
		items = new Array();
		$('.addCarItem').each(function(index, element) {
			items.push($(this).attr('data-title')+"|"+$(this).children('a').html());
			// 批號|商品編號|顏色編號|尺寸|數量
		});
		
		$.ajax({									//進行ajax技術
			url:"../admin/admin_addcar.php"
			,type:"POST"
			,data:{
				addCarItems:items	
			}
		}).done(function(msg){						//處理完成後
			//顯示msg
			//alert(msg)
			//window.location.reload()				//頁面重新載入(慢)
			window.location.href="<?php echo $_SESSION['goTo'];?>";

		});
		
	});
	
	
});
</script>




</head>

<body>
<div class="modal-dialog modal-lg">
  <div class="modal-content">
    <div class="modal-header"> 
      <!-- 建立關閉  modal 的按鈕-->
      <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
      
      <!-- 建立  modal 的 標題-->
      <h5 class="modal-title">
      	商品編號:<?php echo $_GET['GOODSNO'];?><br/>
      	商品名稱:<?php echo $row['GOODSNAME'];?>
      </h3>
    </div>
    
    <!-- 建立  modal 的 內容-->
    <div class="modal-body " style="overflow:hidden">
      <table id="clac" class="table table-bordered">
        <tr>
          <td colspan="2" width="32%"></td>
          <td colspan="2" width="32%"></td>
          <td colspan="2"><input class="form-control wordArea" id="calc_display" type="text" value="0"  style="text-align:right;" disabled></td>
        </tr>
        <tr>
          <td width="16%"><span title="7" class="btn btn-default clac_btn" style="width:100%">7</span></td>
          <td width="16%"><span title="8" class="btn btn-default clac_btn" style="width:100%">8</span></td>
          <td width="16%"><span title="9" class="btn btn-default clac_btn" style="width:100%">9</span></td>
          <td colspan="3"><span title="col" class="btn btn-default clac_btn" style="width:100%">| 整列選</span></td>
        </tr>
        <tr>
          <td><span title="4" class="btn btn-default clac_btn" style="width:100%">4</span></td>
          <td><span title="5" class="btn btn-default clac_btn" style="width:100%">5</span></td>
          <td><span title="6" class="btn btn-default clac_btn" style="width:100%">6</span></td>
          <td colspan="3"><span title="row" class="btn btn-default clac_btn" style="width:100%"> 一 整行選</span></td>
        </tr>
        <tr>
          <td><span title="1" class="btn btn-default clac_btn" style="width:100%">1</span></td>
          <td><span title="2" class="btn btn-default clac_btn" style="width:100%">2</span></td>
          <td><span title="3" class="btn btn-default clac_btn" style="width:100%">3</span></td>
          <td colspan="3"><span title="all" class="btn btn-default clac_btn" style="width:100%"> 口 全選</span></td>
        </tr>
        <tr>
          <td><span title="C" class="btn btn-danger clac_btn" style="width:100%">C</td>
          <td><span title="0" class="btn btn-default clac_btn" style="width:100%">0</td>
          <td><span title="+" id='btn-plus' class="btn clac_btn btn-warning" style="width:100%">+</td>
          <td colspan="3"><span title="single" class="btn btn-warning clac_btn active" style="width:100%">單選</td>
        </tr>
      </table>
      
      <div class="table-responsive">
        <table id='prod_tiems' class="table table-bordered">
          <thead>
            <tr class="active">
              <th>代碼</th>
              <th>顏色</th>
              <?php
			  foreach($sizes as $size){
         	  	echo "<th>$size</th>";
			  }
			  ?>
            </tr>
          </thead>
          <tbody>
          <?php foreach($colorNos as $indexRow=>$colorNo){?>
            <tr data-title="row<?php echo $indexRow;?>">
              <td class="active"><div class="color_block" style="background-color:<?php echo str_replace('0XFF',"#",$colorMapping[$colorNo]);?>;"><?php echo $colorNo; ?></div></td>
              <td align="center" class="active"><?php echo $colorTxtMapping[$colorNo]; ?></td>
              
              <?php
			  foreach($sizes as $indexCol=>$size){
				  
				  if(isset($_SESSION['shoplist'])){// 購物清單存在
				      $shoplish = $_SESSION['shoplist'];
					  $itemKey = "$BATCH|$GOODSNO|$colorNo|$size";
					  
					  if (array_key_exists($itemKey, $shoplish)) {						  
							$count = $shoplish[$itemKey];								
   					  }else{
							$count = 0;
					  }					  
				  }else{
					  $count = 0;
				  }			  
				  
				  
				  echo "<td class='addCarItem' data-title='$BATCH|$GOODSNO|$colorNo|$size' ><a data-title='col$indexCol' href='#'>$count</a></td>";
			  }
			  ?>
              
            </tr>
          <?php } ?>
           
          </tbody>
        </table>
      </div>
      <div class="padding25"></div>
      
      <div id="addCar" class="btn btn-primary" style="float:right;">加入購物車</div>
      
      
    </div>
  </div>
</div>
</body>
</html>