// JavaScript Document
// 設定留言查詢的時間(當下日期) =====================================================
$(document).ready(function(e) {
	
	function getUrlParameter(sParam)// 找尋 GET Attr
	{
		var sPageURL = window.location.search.substring(1);
		var sURLVariables = sPageURL.split('&');
		for (var i = 0; i < sURLVariables.length; i++) 
		{
			var sParameterName = sURLVariables[i].split('=');
			if (sParameterName[0] == sParam) 
			{
				return sParameterName[1];
			}
		}
	}  
	
	
	var searchTime = getUrlParameter('searchTime');
	if(searchTime){
		
		
		$('#cw_time').val(searchTime);
		
		var timeScope = getUrlParameter('timeScope');
		$('#time_scope option[value='+ timeScope +']').attr('selected',"selected");
		
	}else{
		
		// 抓取本機端程式
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth() + 1;
		if(month < 10){
			month = '0' + month;
		}
		var date = now.getDate();
		if(date < 10){
			date = '0' + date;
		}
		
		$('#cw_time').val(year + '-' + month + '-' + date);
	}
	
	
	
	
	
});

// 表單驗證 =========================================================================
$(document).ready(function(e) {
	
	//--------按下註冊鈕時的判斷------------------------------------------------
	$("#searchTimeForm").bind("submit",function(){
		
		var selectTime = $('#cw_time').val();
		var splitStr = selectTime.split("-");
		var selectYear = splitStr[0];
		var selectMonth = splitStr[1] - 1;
		var selectDate = splitStr[2];
		
		// 因為 SERVER 時間 為 GMT +0，所以需要將台灣時間(GMT +8)轉換成GMT +0
		var date = new Date(selectYear,selectMonth,selectDate);
		
		var GMTdate = new Date(selectYear,selectMonth,selectDate);; // 未轉換 
		//var GMTdate = new Date(date.valueOf() + date.getTimezoneOffset() * 60000);
		
		var year = GMTdate.getFullYear();		
		//year = year.toString().substr(2); // 擷取年份後兩碼
		
		var month = GMTdate.getMonth() + 1;
		if(month < 10){
			month = '0' + month;
		}
		var date = GMTdate.getDate();
		if(date < 10){
			date = '0' + date;
		}
		
		$('#gmt_time').val(year + '-' + month + '-' + date);
		
		//---------------------------------------------------------------------
				
	});

});

// 轉換時區 =========================================================================
$(document).ready(function(e) { 
	
	$('.cw_localTime').each(function(index, element) {
        
		var gmtTime = $(element).html();
		gmtTime = $.trim(gmtTime);
		
		var tokens = gmtTime.split(" ");
		var tokenYear = tokens[0].split("-");
		var tokenDate = tokens[1].split(":");		
		gmtTime = new Date(tokenYear[0],tokenYear[1],tokenYear[2],tokenDate[0],tokenDate[1],tokenDate[2]); 
		
		// 因為 SERVER 時間 為 GMT +0，所以需要將SERVER時間(GMT +0)轉換成台灣時間GMT +8
		var localTime = new Date(gmtTime.valueOf() - gmtTime.getTimezoneOffset() * 60000);
		
		var year = localTime.getFullYear();	
		
		var month = localTime.getMonth() + 1;
		if(month < 10){
			month = '0' + month;
		}
		
		var date = localTime.getDate();
		if(date < 10){
			date = '0' + date;
		}
		
		var hour = localTime.getHours();
		if(hour < 10){
			hour = '0' + hour;
		}
		
		var minute = localTime.getMinutes();
		if(minute < 10){
			minute = '0' + minute;
		}
		
		var sec = localTime.getSeconds();
		if(sec < 10){
			sec = '0' + sec;
		}
		
		$(element).html(year+'-'+month+'-'+date+' '+hour+':'+minute+':'+sec);
				
    });
	
});


// chkbox 的 全選、反選、取消 =========================================================
$(document).ready(function(){
	//------------點選全選連結時------------------------
	$("#ch1").bind("click",function(){
		$(".cw_msg_chkbox").attr("checked",true);//將所有的核取方塊設定為勾選
		return false;
	});
	//------------點選取消連結時------------------------
	$("#ch2").bind("click",function(){
		$(".cw_msg_chkbox").attr("checked",false);//將所有的核取方塊設定為不勾選
		return false;
	});
	//------------點選反轉連結時------------------------
	$("#ch3").bind("click",function(){
		//將所有的核取方塊運用each迴圈逐項執行
		$(".cw_msg_chkbox").each(function(index, element) {
            if($(element).attr("checked")){			//假如元素的checked屬性是核取了
				$(element).attr("checked",false)	//將checked屬性設定為false
			}else{									//否則
				$(element).attr("checked",true)		//將checked屬性設定為true
			}
		});
		return false;
	});

}); // ./ ready

