// JavaScript Document
// 設定查詢的時間(當下日期) =====================================================
$(document).ready(function(e) {
	
	function getUrlParameter(sParam)// 找尋 GET Attr
	{
		var sPageURL = window.location.search.substring(1);
		var sURLVariables = sPageURL.split('&');
		for (var i = 0; i < sURLVariables.length; i++) 
		{
			var sParameterName = sURLVariables[i].split('=');
			if (sParameterName[0] == sParam) 
			{
				return sParameterName[1];
			}
		}
	}  
	
	
	var searchTime = getUrlParameter('searchTime');
	if(searchTime){
		
		
		$('#cw_time').val(searchTime);
		
		var timeScope = getUrlParameter('timeScope');
		$('#time_scope option[value='+ timeScope +']').attr('selected',"selected");
		
	}else{
		
		// 抓取本機端程式
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth() + 1;
		if(month < 10){
			month = '0' + month;
		}
		var date = now.getDate();
		if(date < 10){
			date = '0' + date;
		}
		
		$('#cw_time').val(year + '-' + month + '-' + date);
	}
	
	
	
	
	
});

// 將所選時間轉成SERVER的時間(因為 差8小時) [該功能保留 未使用]===========================================
$(document).ready(function(e) {
	
	//--------按下註冊鈕時的判斷------------------------------------------------
	$("#searchTimeForm").bind("submit",function(){
		
		var selectTime = $('#cw_time').val();
		var splitStr = selectTime.split("-");
		var selectYear = splitStr[0];
		var selectMonth = splitStr[1] - 1;
		var selectDate = splitStr[2];
		
		// 因為 SERVER 時間 為 GMT +0，所以需要將台灣時間(GMT +8)轉換成GMT +0
		var date = new Date(selectYear,selectMonth,selectDate);
		
		var GMTdate = new Date(selectYear,selectMonth,selectDate);; // 未轉換 
		//var GMTdate = new Date(date.valueOf() + date.getTimezoneOffset() * 60000);
		
		var year = GMTdate.getFullYear();		
		//year = year.toString().substr(2); // 擷取年份後兩碼
		
		var month = GMTdate.getMonth() + 1;
		if(month < 10){
			month = '0' + month;
		}
		var date = GMTdate.getDate();
		if(date < 10){
			date = '0' + date;
		}
		
		$('#gmt_time').val(year + '-' + month + '-' + date);
		
		//---------------------------------------------------------------------
				
	});

});

// 表單驗證
$(document).ready(function(e) {
	
	//--------按下註冊鈕時的判斷------------------------------------------------
	$(".btnDelItem").bind("click",function(){
		
		var FORMNO = $(this).parent('div').find('input[name="FORMNO"]').val();
		var USER = $(this).parent('div').find('input[name="USER"]').val();
		
		
		$('#errorModal #errorMsg').html("<p>訂單編號 : "+FORMNO+"</p>確定刪除?");			
		$('#errorModal').modal('show');
		$("#modal_yes").bind("click",function(){
			$('#errorModal').modal('hide');
			
			$.ajax({									//進行ajax技術
			url:"../admin/admin_orders_remove.php"
			,type:"POST"
			,data:{									//傳入資料
				FORMNO:FORMNO
				,USER:USER
			}
			}).done(function(msg){						//處理完成後
				//顯示msg
				//alert(msg)
				//window.location.reload()				//頁面重新載入(慢)
				var pathname = window.location.pathname;
				window.location.href=pathname;
	
			});		
			
		});
		
		return false;
		
	});

});