// JavaScript Document

// "商品分類 收合按鈕" 的產生 ========================================================================
$(document).ready(function(e) {
	
// 增加 "商品分類 收合按鈕"
$('#cw_navbar').prepend('<button type="button" \
							class="navbar-toggle" \
							data-toggle="offcanvas" \
							data-target=".sidebar-offcanvas" \
							style="float:left; margin-left:15px"> \
								<span class="sr-only">Toggle navigation</span> \
								<span class="icon-bar"></span> \
								<span class="icon-bar"></span> \
								<span class="icon-bar"></span> \
						  </button>');
});

// "商品分類 收合選單" 的動作 ========================================================================
$(document).ready(function() {
	
function toggleLeftMenu() {
	
	$('.row-offcanvas').toggleClass('active');
	
	if ($('.row-offcanvas').hasClass('active')){
		
		$('.sidebar-offcanvas').show();
		$('#mask').show();
		
		$('.row-offcanvas-left.active').animate({left:'50%'},350);
		
		
	}else{
		
		$('#mask').hide();
			
		$('.row-offcanvas-left').animate({left:'0%'},350,
										function(){
											$('.sidebar-offcanvas').css('display','none');			
										});		
	}

}// toggleLeftMenu END
	

	
$('[data-toggle=offcanvas]').click(function() {
	toggleLeftMenu();	
});
  
$('#mask').click(function() {
	toggleLeftMenu();
});

$(window,document).scroll(function(){
	
	if($(document).width() < 768){ // 手機螢幕時
		
		// 當滑動網頁，遮住 navbar 時，將 navbar 至頂
		if($(document).scrollTop() > $('#cw_navbar_top').height()){
			$('#cw_navbar_top').addClass("navbar-fixed-top");	
		}else{
			$('#cw_navbar_top').removeClass("navbar-fixed-top");
		}	
	}else{
		$('#cw_navbar_top').removeClass("navbar-fixed-top");
	}
	
});


$(window,document).resize(function(){
		
	if($(document).width() > 767){ // 螢幕大於手機時，將產品分類顯示
		$('#mask').hide();
		$('.sidebar-offcanvas').show();
	}
	
});
  
});

// 以 AJAX 進行 資料的更新 ===========================================================================
$(document).ready(function() {
	
	$('input[type="submit"]').click(function(){
		
		var BATCH = $(this).parent('form').find('input[name="BATCH"]').val();
		var GOODSNO = $(this).parent('form').find('input[name="GOODSNO"]').val();   
		
		var P3 = $(this).parent('form').find('input[name="P3"]').val(); // 批發價
		var P4 = $(this).parent('form').find('input[name="P4"]').val(); // 網購價
		var P5 = $(this).parent('form').find('input[name="P5"]').val(); // 零售價
		
		
		var ischecked = $(this).parent('form').find('input[name="SPOSS"]').attr('checked');
		
		var SPOSS = 0; // 上架 與否
		var IM_OUTSTK = 0; // A群組 是否顯示
		var IM_POSSTK = 0; // B群組 是否顯示
		var ORD = 0; // C群組 是否顯示
		
		if(ischecked){
			SPOSS = 1;
		}
		
		var ischecked = $(this).parent('form').find('input[name="IM_OUTSTK"]').attr('checked');
		if(ischecked){
			IM_OUTSTK = 1;
		}
		
		var ischecked = $(this).parent('form').find('input[name="IM_POSSTK"]').attr('checked');
		if(ischecked){
			IM_POSSTK = 1;
		}
		
		var ischecked = $(this).parent('form').find('input[name="ORD"]').attr('checked');
		if(ischecked){
			ORD = 1;
		}
		//alert(BATCH + ":" + GOODSNO );
		//alert(P3 + ":" + P4 + ":" + P5);
		//alert(SPOSS + ":" + IM_OUTSTK + ":" + IM_POSSTK + ":" + ORD);
		
		$.ajax({									//進行ajax技術
		url:"../admin/admin_prod_sposs_update.php"
		,type:"POST"
		,data:{//傳入資料
			BATCH:BATCH
			,GOODSNO:GOODSNO
			,P3:P3
			,P4:P4
			,P5:P5
			,SPOSS:SPOSS
			,IM_OUTSTK:IM_OUTSTK
			,IM_POSSTK:IM_POSSTK
			,ORD:ORD
		}
		}).done(function(msg){						//處理完成後
			//顯示msg
			//alert(msg);
			//window.location.reload()				//頁面重新載入(慢)
			//var pathname = window.location.pathname;
			//window.location.href=pathname;

		});
		
		
		
		return false;
		
	});
	

  
});
