<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php
if (!isset($_SESSION)) { @session_start();} 
require_once('../ini/ini.php'); // 載入初始參數 
/*
引入檔案:
include	:	引不到檔案會出現錯誤息，但程式不會停止。
require	:	引不到檔案會出現錯誤息，但程式會停止。

include_once 與 require_once :	可避免重複引入。
*/
?>

<?php 

$errorMsg ="";
if(isset($_POST['chkCust'])){
	require_once('../Connections/dbLink.php'); // 連接資料庫
	
	
	$CUSTNO = $_POST['CUSTNO'];
	$MOBIL =  $_POST['MOBIL']; 
	
	$sqlStatement = sprintf("SELECT IFNULL(C2, 0) 'C2' FROM qcust WHERE CUSTNO = '%s' AND MOBIL = '%s';",
							 mysql_real_escape_string($CUSTNO),
							 mysql_real_escape_string($MOBIL)
						   );// 防範 SQL injection
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	
	
	if($row = mysql_fetch_assoc($resultSet)){// 該合作客存在 資料庫中
		
		$C2 = $row['C2'];
		
		if((int)$C2 >= 1){
			$errorMsg = '該客戶編號，已經申請過';
		}else{
			$_SESSION['isCustExist'] = $CUSTNO;
			
			$goTo = "../member/mem_join_pro.php";
			echo '<script>window.location.href="'.$goTo.'"</script>';
		}
		
			
	}else{
		// 該合作客存在 不在資料庫中
		$errorMsg = '抱歉 ! <span  style="color:#d9534f;">非</span>合作客戶';
	}	
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>合作客戶驗證</title>
<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../js/mem_join_idty.js" ></script>
<?php
if($errorMsg!=""){
	echo "<script type='text/javascript'>
			$(document).ready(function(e) {
				$('#errorModal #errorMsg').html('');
				$('#errorModal #errorMsg').html('$errorMsg');
				$('#errorModal').modal('show');
			});
	  </script>";

}
?>


</head>

<body>
<!--
.col-xs-	:	手機
.col-sm-	:	平板
.col-md-	:	桌機
-->
<?php include_once('../layout/nav.php') ?>

<!-- 顯示錯誤訊息的 Modal -->
<div class="modal fade " id="errorModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
	<div class="modal-dialog modal-sm" >
        <div class="modal-content">		    
          <div class="modal-header">
            <!-- 建立關閉  modal 的按鈕-->
            <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
            <!-- 建立  modal 的 標題-->
            <h3 class="modal-title">訊息!</h3>
          </div>
          
          <!-- 建立  modal 的 內容-->
          <div id="errorMsg" class="modal-body " style="overflow:hidden">
          
          </div>
        </div>
    </div>
</div>

<!-- 主要內容區 START -->
<div class="col-xs-offset-1 col-xs-10 col-sm-offset-2 col-sm-8 col-md-offset-2 col-md-8">
  
  <div class="row  col-sm-offset-1 col-sm-10 col-md-offset-4 col-md-4 panel panel-default " style="padding:0">
    <div class="panel-heading">
      <p class="panel-title">合作客戶驗證</p>
    </div>
    <div class="panel-body">
      <form role="form" action="#" method="post">
      
        <label for="custNo">客戶編號</label>
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-barcode"></i></span>
          <input type="text" tabindex="1" class="form-control" id="custNo" name="CUSTNO" placeholder="輸入客戶編號">
        </div>
        <br />
        <label for="mobil">手機號碼</label>
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-phone"></i></span>
          <input type="text" tabindex="2" class="form-control" id="mobil" name="MOBIL" placeholder="輸入手機號碼">
        </div>
        <br />
        <input type="hidden" name="chkCust" value="enable" />
        <button type="submit" tabindex="3" id="btnGo" class="btn btn-primary" style="float:right" >送出</button>
      </form>
    </div>
   
  </div>
</div>

<div class="padding50"></div>
<!-- 主要內容區 END -->



<?php include_once('../layout/footer.php') ?>

</body>
</html>