<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<!-- 提供老客戶 填寫帳號(信箱) 密碼-->
<!-- 已知問題: 填完後，資料庫要如何標記?-->
<?php 
if (!isset($_SESSION)) { 
@session_start();
} // 開啟 session
require_once('../ini/ini.php'); // 載入初始參數
require_once('../Connections/dbLink.php'); // 連接資料庫

?>

<?php


//限制非確認過的老客戶登入
if(!isset($_SESSION['isCustExist'])){	
	$goTo = "../member/mem_join_idty.php";
  	echo '<script>window.location.href="'.$goTo.'"</script>';	
	return;
}



if(isset($_POST['updateMember'])){
	
	$CUSTNO = $_POST['CUSTNO'];
	$EMAIL = $_POST['EMAIL'];
	$MSN = $_POST['MSN'];
	
	$sqlStatement = sprintf("UPDATE qcust SET EMAIL='%s', MSN='%s', C2='1' WHERE CUSTNO = '%s';",
							mysql_real_escape_string($EMAIL),
							mysql_real_escape_string($MSN),
							mysql_real_escape_string($CUSTNO)
						   );// 防範 SQL injection						   
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	
	// 判斷 C3 是否有值
	$sqlStatement = sprintf("SELECT C3 FROM qcust WHERE CUSTNO = '%s';",
							mysql_real_escape_string($CUSTNO)
						   );// 防範 SQL injection						   
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	$row = mysql_fetch_assoc($resultSet);

	if($row['C3'] == '' || $row['C3'] == NULL){
		
		$sqlStatement = sprintf("UPDATE qcust SET C3='2' WHERE CUSTNO = '%s';",
							mysql_real_escape_string($CUSTNO)
						   );// 防範 SQL injection						   
		$resultSet = mysql_query($sqlStatement, $dblink);		
	}
	
	// 輸入完帳密後，清除 isCustExist, 可以避免使用者利用本網址有重新輸入
	$_SESSION['isCustExist'] = NULL;
	unset($_SESSION['isCustExist']);
	
	$_SESSION['LoginCustNo'] = $CUSTNO;
	$_SESSION['LoginEMail'] = $EMAIL;
	$_SESSION['LoginC2'] = '1';
	
	$sqlStatement = sprintf("SELECT CUSTNAME, C3 FROM qcust WHERE CUSTNO = '%s';",							
							mysql_real_escape_string($CUSTNO)
						   );// 防範 SQL injection						   
	$resultSet = mysql_query($sqlStatement, $dblink);
	$row = mysql_fetch_assoc($resultSet);
	
	
	$_SESSION['LoginName'] = $row['CUSTNAME'];
	$_SESSION['LoginC3'] = $row['C3'];
	
	
	$goTo = "../product/prod_index.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';	
	return;
	
	
	
}


?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>新增會員</title>
<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<!--<link href="css/index.css" rel="stylesheet" type="text/css" />-->

<style type="text/css">
#chkPicImg{
	margin-bottom:3px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}
.infoMsg{
	float:right;
}
</style>

<script type="text/javascript" src="../js/mem_join_pro.js" ></script>


</head>

<body>
<!--
.col-xs-	:	手機
.col-sm-	:	平板
.col-md-	:	桌機
-->
<?php include_once('../layout/nav.php') ?>

<!-- 顯示錯誤訊息的 Modal -->
<div class="modal fade " id="errorModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
	<div class="modal-dialog modal-sm" >
        <div class="modal-content">		    
          <div class="modal-header">
            <!-- 建立關閉  modal 的按鈕-->
            <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
            <!-- 建立  modal 的 標題-->
            <h3 class="modal-title">訊息!</h3>
          </div>
          
          <!-- 建立  modal 的 內容-->
          <div id="errorMsg" class="modal-body " style="overflow:hidden">
          
          </div>
          
          <div class="modal-footer">
        	<button type="button" class="btn btn-primary" data-dismiss="modal">確定</button>

      	  </div>
          
          
        </div>
    </div>
</div>

<!-- 主要內容區 START -->
<div class="col-xs-offset-1 col-xs-10 col-sm-offset-2 col-sm-8 col-md-offset-2 col-md-8">
  
  <div class="row  col-sm-offset-1 col-sm-10 col-md-offset-4 col-md-4 panel panel-default " style="padding:0">
    <div class="panel-heading">
      <p class="panel-title">新增會員&nbsp;-&nbsp;<span style="color:#428bca;">(<?php echo $_SESSION['isCustExist']?>)</span></p>
    </div>
    <div class="panel-body">
      <form role="form" action="" method="post">
      
        <div class="form-group" id="email_success">
            <p><label for="email">電子信箱</label>
            <span class="label label-default">(即往後的會員帳號)</span> 
            <span class="label label-default" class="infoMsg" id="email_infoMsg"></span></p> 
            <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
              <input type="text" tabindex="1" class="form-control" id="email" name="EMAIL" placeholder="輸入電子信箱">
              
            </div>
            
            <br />
        </div>
        
        <div class="form-group" id="password_success">
        <p><label for="password">登入密碼</label>
        <span class="label label-default" class="infoMsg" id="password_infoMsg"></span></p> 
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>        
          <input type="password" tabindex="2" class="form-control" id="password" name = "MSN" placeholder="輸入密碼">
        </div>
        <br /> 
        </div>    
        
        
        <div class="form-group" id="confirmPd_success" >
        <p><label for="confirmPd">確認密碼</label>
        <span class="label label-default" class="infoMsg" id="confirmPd_infoMsg"></span></p> 
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-check"></i></span>
          <input type="password" tabindex="3" class="form-control" id="confirmPd" placeholder="確認密碼">
        </div>
        <br /> 
        </div>
        
        <div class="form-group" id="chkPic_success">
        <p><label for="chkPic">圖形認證</label>  
        <span class="label label-default" class="infoMsg" id="chkPic_infoMsg"></span></p>       
        <img id="chkPicImg" src="../create_images/createpng.php" />        
        <div class="input-group"> <span class="input-group-addon"><i class="glyphicon glyphicon-eye-open"></i></span>
          <input type="text" tabindex="4" class="form-control" id="chkPic" placeholder="XXXXXX">
        </div>        
        <br />
        </div>
        <input type="hidden" name="CUSTNO" value="<?php echo $_SESSION['isCustExist']?>" />
        <input type="hidden" name="updateMember" value="enable" />
        
        <button type="submit" tabindex="5" class="btn btn-primary" style="float:right" >新增會員</button>
      </form>
    </div>
   
  </div>
</div>

<div class="padding50"></div>
<!-- 主要內容區 END -->



<?php include_once('../layout/footer.php') ?>

</body>
</html>