﻿<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫


?>
<?php
if(!isset($_SESSION['LoginEMail']) || $_SESSION['LoginC2'] < 1){ // 如果沒有登入或是 C2 < 1，先導入登入畫面
	$goTo = "../member/mem_login.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';
	exit;
}
?>

<?php // setting Mapping

// 建立 Color 的對應關係表
$sqlStatement = sprintf("SELECT NO1, PIC, TXT FROM qc_color;");
$resultSet = mysql_query($sqlStatement, $dblink);

$colorMapping = array();
$colorTxtMapping = array();
while($row = mysql_fetch_assoc($resultSet)){
	$colorMapping[$row['NO1']]=$row['PIC'];
	$colorTxtMapping[$row['NO1']]=$row['TXT'];
}

?>

<?php

//-----------------------分頁用---------------------------
$showCount = 10; // 顯示的筆數
$currPage  = $_SESSION['memberPage'];// tab 專用
if(!isset($currPage)){
	$currPage = 1; // 若沒有 page 的參數 ，則預設1
}
$startIndex = ($currPage -1) * $showCount;

$sqlStatement = sprintf("SELECT GOODSNO, GOODSNAME,SOURCENO, COLOR, SIZE, sum(UNIT30) 'count', DISCOUNT, UNITPRICE 'unitprice', sum(SUBPRICE) 'subpric', PIC  
						 FROM qitems 
						 WHERE 
						 USER = '%s'
						 AND 
						 ((ISCONFIRM='O') or (ISCONFIRM='N' and ISCHECK='Y')) 
						 GROUP BY GOODSNOS
						 ORDER BY CREATEDATETIME DESC
						 LIMIT $startIndex, $showCount;",
						 mysql_real_escape_string($_SESSION['LoginCustNo'])
						);// 防範 SQL injection
//echo $sqlStatement;
$resultSet = mysql_query($sqlStatement, $dblink);


// 計算總頁數		
$sqlStatement = sprintf("SELECT DISTINCT GOODSNO, GOODSNAME,SOURCENO, COLOR, SIZE, sum(UNIT30) 'count', DISCOUNT, UNITPRICE 'unitprice', sum(SUBPRICE) 'subpric', PIC FROM qitems 
						 WHERE 
						 USER = '%s'
						 AND 
						 ((ISCONFIRM='O') or (ISCONFIRM='N' and ISCHECK='Y')) 
						 GROUP BY GOODSNOS
						 ORDER BY CREATEDATETIME DESC;",
						 mysql_real_escape_string($_SESSION['LoginCustNo'])
						);
						
$totalSet = mysql_query($sqlStatement, $dblink);
$resultTotal = mysql_num_rows($totalSet);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>無標題文件</title>


<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<link href="../css/mem_preOrder.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../js/mem_preOrder.js" ></script>

</head>

<body>
<br />
<?php while($row = mysql_fetch_assoc($resultSet)){?>
<div class="row well cw_prod_item" >
<div class="col-xs-12 col-sm-6 col-md-6" >
	<div class="col-xs-6 col-sm-6 col-md-3" >
    	<?php
		/* 路徑轉換 */
		$srcPath = $row['PIC']; 	// 從資料庫讀出的路徑(ANDROID)	
		include_once('../tool/trGoodsPath.php');		
		$imgPath = trGoodsPath($srcPath);	
		?>    
        <img  src='<?php echo $imgPath;?>' class="img-responsive" >
    </div>
    <div class="col-xs-6 col-sm-6 col-md-9" >
    	<p>[<?php echo $row['GOODSNO']; ?>]</p>
        <p><?php echo $row['GOODSNAME']; ?></p>
    </div>
</div>

<div class="col-xs-12 col-sm-6 col-md-6" >
	<div class="cw_block">
	<div class="col-xs-6 col-sm-6 col-md-2" >
    	<p>顏色</p>
	    <p><div class="colorBlock" style="background-color:<?php echo str_replace('0XFF',"#",$colorMapping[$row['COLOR']]);?>;" ></div>&nbsp;<?php echo str_replace('0XFF',"#",$colorTxtMapping[$row['COLOR']]);?></p>        
    </div>
    <div class="col-xs-6 col-sm-6 col-md-4" >
    	<p>尺寸 / 單價</p>        
        <p><span><?php echo $row['SIZE'];?></span> / <span ><?php echo $row['unitprice'];?></span></p>        
    </div>
    </div><!-- ./ cw_block-->   
    
    <div class="cw_block">
    <div class="col-xs-6 col-sm-6 col-md-4" >
    	<p>數量 / 折數</p> 
        <p><span><?php echo $row['count'];?></span> / <span ><?php echo $row['DISCOUNT'];?> %</span></p>
    </div>    
    <div class="col-xs-6 col-sm-6 col-md-2"  >
    	<p >小計</p>
        <p  class="cw_subtotal" >
			<?php //echo $row['unitprice']*$row['count']*$row['DISCOUNT']*0.01;
					echo $row['subpric'];
			
			?>
        </p>
    </div>
    </div><!-- ./ cw_block-->
</div>
</div>
<?php }?>

<div class="cw_pages" style="float:right;"><!-- tab 專用 -->

<?php


$totalPage = ceil($resultTotal/$showCount); // 計算總頁數
include_once('../tool/getNavBarFn.php'); // 載入計算頁數函數

//==================================================================================


// 取出 頁次 的 list

$jsonString = getNavBarFn($currPage, $totalPage, 5);

/*
getNavBarFn($currPage, $totalPage, $showCount)

---------------------------[參數]---------------------------

$currPage	: 當下頁次

$totalPage	: 總頁次

$showCount	: 欲顯示的頁次數量


---------------------------[回傳JSON字串]---------------------------

"firstPage"		: 第一頁 頁次	(若 $currPage 為 1 時，firstPage = null)
"lastPage"		: 最後頁 頁次	(若 $currPage 為 $totalPage 時， lastPage = null)

"prevPage"		: 上一頁 頁次	(若 $currPage - 1 小於 1 時，prevPage = null)
"nextPage"		: 下一頁 頁次	(若 $currPage + 1 大於 $totalPage 時， nextPage = null)

"prevTenPage"	: 上十頁 頁次	(若 $currPage - 10 小於 1 時，prevTenPage = null)
"nextTenPage"	: 下十頁 頁次	(若 $currPage + 10 大於 $totalPage 時， nextTenPage = null)

"pageItems"		: 撈出來的 頁次 集合
				
*/

$jsonData = json_decode( $jsonString );

$firstPage = $jsonData->firstPage;		// 第一頁 頁次	
$lastPage = $jsonData->lastPage;		// 最後頁 頁次

$prevPage = $jsonData->prevPage;		// 上一頁 頁次
$nextPage = $jsonData->nextPage;		// 下一頁 頁次

$prevTenPage = $jsonData->prevTenPage;	// 上十頁 頁次
$nextTenPage = $jsonData->nextTenPage;	// 下十頁 頁次

$pageItems = $jsonData->pageItems;		// 撈出來的 頁次 集合


?>




<ul class="pagination pagination-sm">
<?php 
if(isset($firstPage)){
	echo "<li><a href='page=$firstPage' ><<</a></li>";
}

if(isset($prevPage)){
	echo "<li><a href='page=$prevPage' ><</a></li>";
}
?>
</ul>
<ul class="pagination pagination-sm">
<?php
foreach($pageItems as $pageItem){

	if($pageItem == $currPage ){		
		echo "<li class='active' ><a href='page=$pageItem' >$pageItem</a></li>";	
	}else{
		echo "<li ><a href='page=$pageItem' >$pageItem</a></li>"; 	
	}
}
?>
</ul>

<ul class="pagination pagination-sm">
<?php 
if(isset($nextPage)){
	echo "<li><a href='page=$nextPage' >></a></li>";
}
 
 
if(isset($lastPage)){
	echo "<li><a href='page=$lastPage' >>></a></li>";
}
?>
</ul>


</div>
<div class="padding25"></div>
<div class="padding50"></div>


</body>
</html>