<?php include_once('../tool/errorMsgSwitch.php'); // PHP 錯誤訊息 開關  ?>
<?php 
if (!isset($_SESSION)) {
  @session_start();
} 
require_once('../ini/ini.php'); // 載入初始參數 
require_once('../Connections/dbLink.php'); // 連接資料庫
?>
<?php
if(!isset($_SESSION['LoginEMail']) || $_SESSION['LoginC2'] < 1){ // 如果沒有登入或是 C2 < 1，先導入登入畫面
	$goTo = "../member/mem_login.php";
	echo '<script>window.location.href="'.$goTo.'"</script>';
	exit;
}
?>

<?php
if(isset($_POST['updateCustNo'])){// 更新資料
	
	$postAy = array();
	foreach (explode('&', file_get_contents('php://input')) as $keyValuePair) {
    	list($key, $value) = explode('=', $keyValuePair);
    	$postAy[$key]= $value;	
	}
	
	$updateStr = '';// 組成 statement 片段
	foreach ($postAy as $key=>$value ) {	
		if($key == 'updateCustNo'){
			continue;
		}
    	$updateStr .= $key." = '".$value."', ";
	}	
	$updateStr = rtrim($updateStr,', ');	
	$updateStr = urldecode ( $updateStr ); // 解編碼 %40 => @ 
	
	$sqlStatement = "UPDATE qcust SET $updateStr WHERE CUSTNO = '".mysql_real_escape_string($_POST['updateCustNo'])."';";
					   
	//echo $sqlStatement;
	$resultSet = mysql_query($sqlStatement, $dblink);
	
	
	if(isset($_SESSION['goTo'])){
		$goTo = $_SESSION['goTo'];
		echo '<script>window.location.href="'.$goTo.'"</script>';
		
	}
}

?>


<?php // 撈資料

$isManager = false;
if($_SESSION['LoginC2'] >= 2 ){
	$isManager = true;
}

$CUSTNO = '';
if($isManager){// 如果是 管理者 可以透過 GET 取的 CUSTNO 資料，當作的查詢的條件
	
	if(isset($_GET['CUSTNO'])){
		$CUSTNO = $_GET['CUSTNO'];
	}else{
		$CUSTNO = $_SESSION['LoginCustNo'];
	}
	
}else{ // 否則只能看自己的
	$CUSTNO = $_SESSION['LoginCustNo'];
}

$sqlStatement = sprintf("SELECT * FROM qcust WHERE CUSTNO = '%s';",
							 mysql_real_escape_string($CUSTNO)
						);// 防範 SQL injection

$resultSet = mysql_query($sqlStatement, $dblink);

$row = mysql_fetch_assoc($resultSet);

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!--
initial-scale表示初始縮放，maximum-scale表示最大縮放比例，「1」意味著不能進行縮放。
-->
<title>會員資料</title>
<script type="text/javascript" src="../js/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap.min.css" />
<link rel="stylesheet" href="../js/bootstrap-3.2.0/css/bootstrap-theme.min.css" />
<script type="text/javascript" src="../js/bootstrap-3.2.0/js/bootstrap.min.js"></script>

<link href="../css/layout.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../js/mem_psn.js"></script>


</head>

<body>
<!--
.col-xs-	:	手機
.col-sm-	:	平板
.col-md-	:	桌機
-->
<?php include_once('../layout/nav.php') ?>

<!-- 顯示錯誤訊息的 Modal -->
<div class="modal fade " id="errorModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
	<div class="modal-dialog modal-sm" >
        <div class="modal-content">		    
          <div class="modal-header">
            <!-- 建立關閉  modal 的按鈕-->
            <button type="button" class="close" data-dismiss="modal"> <span aria-hidden="true">X</span> <span class="sr-only">Close</span> </button>
            <!-- 建立  modal 的 標題-->
            <h3 class="modal-title">訊息!</h3>
          </div>
          
          <!-- 建立  modal 的 內容-->
          <div id="errorMsg" class="modal-body " style="overflow:hidden">
          
          </div>
          
          <div class="modal-footer">
        	<button type="button" class="btn btn-primary" data-dismiss="modal">確定</button>
      	  </div>
          
        </div>
    </div>
</div>


<div class="col-xs-12 col-sm-offset-2 col-sm-8 col-md-offset-4 col-md-4"> 
  <!-- 主要內容區 START --> 

  <form action="" method="post" >
  <table class="table table-bordered">
    <thead>
      <tr>
        <th>欄位名稱</th>
        <th>值</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td align="center" valign="middle">PIC</td>
        <td>
        	
        	<?php
			/* 路徑轉換 */
			$srcPath = $row['PIC']; 	// 從資料庫讀出的路徑(ANDROID)				
			include_once('../tool/trMemberPath.php');
			$imgPath  = trMemberPath($srcPath);
			?>
            <img title="<?php echo $imgPath?>" src="<?php echo $imgPath?>" class="img-responsive" style="margin:auto;" />
        	
        	
        </td>
      </tr>
    
      <tr>
        <td align="center" valign="middle">客戶編號</td>
        <td><input class="form-control" type="text" value="<?php echo $row['CUSTNO']; ?>" name="CUSTNO" disabled="disabled" /></td>
      </tr>
      
      <tr>
        <td align="center" valign="middle">客戶名稱</td>
        <td><input class="form-control" type="text" value="<?php echo $row['CUSTNAME']; ?>" name="CUSTNAME" disabled="disabled" /></td>
      </tr>
      
      <tr>
        <td align="center" valign="middle">手機</td>
        <td><input class="form-control" type="text" value="<?php echo $row['MOBIL']; ?>" name="MOBIL" placeholder="09xxxxxxxx" /></td>
      </tr>
      
      <tr>
        <td align="center" valign="middle">e-mail<br />(帳號)</td>
        <td>
        <div class="form-group" id="email_success">
        <p><span class="label label-default" class="infoMsg" id="email_infoMsg"></span></p>
        <input id="chkEmail" data-title="<?php echo $row['EMAIL']; ?>" class="form-control" type="text" value="<?php echo $row['EMAIL']; ?>" name="EMAIL" <?php if(!$isManager){?> disabled="disabled" <?php } ?> />
        <!-- data-title 紀錄了未更改前的 email -->
        </div>
        </td>
      </tr>
      
      <tr>
        <td align="center" valign="middle">密碼</td>
        <td><input class="form-control" type="text" value="<?php echo $row['MSN']; ?>" name="MSN"/></td>
      </tr>
      
      <?php if($isManager){ ?>
      <tr>
      	<?php // 撈出 DEPTNO 數值供使用者選擇
		
		$sqlStatement = sprintf("SELECT CUSTNO 'DeptNo', CUSTNAME 'DeptName' FROM  `qcust` WHERE TR = '20';" );
		$deptSet = mysql_query($sqlStatement, $dblink);
		
		?>
      
      
      
        <td align="center" valign="middle">門市編號</td>
        <td>
        <select class="form-control" name="DEPTNO" >
			<?php	while($deptRow = mysql_fetch_assoc($deptSet)){ ?>         		
                <option value=<?php echo $deptRow['DeptNo']; // 進資料庫的值 ?>           
                <?php if (!(strcmp($deptRow['DeptNo'], $row['DEPTNO']))) {echo "selected=\"selected\"";} ?> >                    
                <?php echo $deptRow['DeptName']; // 顯示的文字 ?>                    
                </option>
            <?php	} ?>         
        </select>
        </td>
      </tr>
      <?php } ?>      
      
      <tr>
        <td align="center" valign="middle">會員折數(%)</td>
        <td><input class="form-control" type="text" value="<?php echo $row['DISCOUNT']; ?>" name="DISCOUNT" <?php if(!$isManager){?> disabled="disabled" <?php } ?> /></td>
      </tr>
      
      <tr>
        <td align="center" valign="middle">會員地址</td>
        <td><input class="form-control" type="text" value="<?php echo $row['ADDRESS']; ?>" name="ADDRESS" /></td>
      </tr>
      
      <?php if($isManager){ ?>
      <tr>
        <td align="center" valign="middle">TRADETYPE</td>
        <td>
        <select class="form-control" name="TRADETYPE" >
        	<?php
				$TradeTypeMapping = array(
    			"3" => "批發價",
				"4" => "網購價",
				"5" => "零售價"
				);
            ?>
			<?php foreach($TradeTypeMapping as $key => $value){ ?>         		
                <option value=<?php echo $key; // 進資料庫的值 ?>           
                <?php if (!(strcmp($key, $row['TRADETYPE']))) {echo "selected=\"selected\"";} ?> >                    
                <?php echo $value; // 顯示的文字 ?>                    
                </option>
            <?php	} ?>         
        </select>
        
        </td>
      </tr>
      <?php } ?>   
     
 
 	  <?php if($isManager){ ?>
      <tr>
        <td align="center" valign="middle">建檔日期</td>
        <td><input class="form-control" type="text" value="<?php echo $row['CREATEDATE']; ?>" name="CREATEDATE" disabled="disabled" /></td>
      </tr>
      <?php } ?>
      
      <tr>
        <td align="center" valign="middle">會員生日</td>
        <td><input class="form-control" type="text" value="<?php echo $row['BIRTHDAY']; ?>" name="BIRTHDAY" /></td>
      </tr>
      
      
      <!--
      <?php
	  	$isShowC2AndC3 = false; 
	  	if($isShowC2AndC3){ 
	  ?>
      <?php if($isManager){ ?>
      <?php
			$C2Mapping = array(
    			"0" => "0-待審核會員",
    			"1" => "1-正式會員",
				"2" => "2-內部管理-店長",
				"3" => "3-內部管理-區經理",
				"4" => "4-內部管理-會計",
				"5" => "5-內部管理-老闆"
			);			
		?>
        
        
      <tr>
        <td align="center" valign="middle">C2</td>        
        <td><select class="form-control" name="C2" >
  				<?php	foreach($C2Mapping as $key => $value){ ?>         		
                    <option value=<?php echo $key; // 進資料庫的值 ?>           
                    <?php if (!(strcmp($row['C2'], $key))) {echo "selected=\"selected\"";} ?> >                    
                    <?php echo $value; // 顯示的文字 ?>                    
                    </option>
          		<?php	} ?>         
			</select>
         </td>
      </tr>
      <?php } ?>
      
      <?php if($isManager){ ?>
      <?php
			$C3Mapping = array(
    			"0" => "0-(A群組)",
    			"1" => "1-(B群組)",
				"2" => "2-(C群組)"				
			);			
		?>
      <tr>
        <td align="center" valign="middle">C3</td>        
        <td><select class="form-control" name="C3" >
  				<?php	foreach($C3Mapping as $key => $value){ ?>         		
                    <option value=<?php echo $key; // 進資料庫的值 ?>           
                    <?php if (!(strcmp($row['C3'], $key))) {echo "selected=\"selected\"";} ?> >                    
                    <?php echo $value; // 顯示的文字 ?>                    
                    </option>
          		<?php	} ?>         
			</select>
         </td>
      </tr>
      <?php } ?>
      
      <?php	
	  } //$isShowC2AndC3
	  ?>
      -->
      
    </tbody>
  </table>
  <input type="hidden" name="updateCustNo" value="<?php echo $row['CUSTNO']; ?>" />
  
  <button type="submit" tabindex="5" class="btn btn-primary" style="float:right; margin-bottom:100px;" >更新</button>
  
  </form>
  
  <!-- 主要內容區 END --> 
</div>
<?php include_once('../layout/footer.php') ?>
</body>
</html>